<?php

namespace App\Http\Controllers\API;

use Auth;
use App\User; 
use App\AppAds;
use App\Category;
use App\SubCategory;
use App\Colors;
use App\Wallpaper;
use App\LiveWallpaper;
use App\Pages;
use App\Reports;
use App\Settings;
use App\PostViewsDownload;
use App\PostRatings;
use App\Favourite;
use App\PasswordReset;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Intervention\Image\Facades\Image; 
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use Session;
use URL;
use Illuminate\Support\Facades\Password;


class AndroidApiController extends MainAPIController
{
    public function __construct()
    {
        $this->pagination_limit=getcong('pagination_limit')?getcong('pagination_limit'):10;
    }
      
    public function index()
    {   
          $response[] = array('msg' => "API",'success'=>'1'); 
        
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));   
         
    }
    public function app_details()
    {   
        
        $get_data=checkSignSalt($_POST['data']);
 
        $settings = Settings::findOrFail('1'); 

        $default_language=$settings->default_language;
        $app_name=$settings->app_name;
        $app_email=$settings->app_email;
        $app_logo=\URL::to('/'.$settings->app_logo);
        $app_company=$settings->app_company?$settings->app_company:'';
        $app_website=$settings->app_website?$settings->app_website:'';
        $app_contact=$settings->app_contact?$settings->app_contact:'';
        $app_version=$settings->app_version?$settings->app_version:'';

        $facebook_link=$settings->facebook_link?$settings->facebook_link:'';
        $twitter_link=$settings->twitter_link?$settings->twitter_link:'';
        $instagram_link=$settings->instagram_link?$settings->instagram_link:'';
        $youtube_link=$settings->youtube_link?$settings->youtube_link:'';
        $google_play_link=$settings->google_play_link?$settings->google_play_link:'';
        $apple_store_link=$settings->apple_store_link?$settings->apple_store_link:'';
         

        $app_update_hide_show=$settings->app_update_hide_show;
        $app_update_version_code=$settings->app_update_version_code?$settings->app_update_version_code:'1';
        $app_update_desc=stripslashes($settings->app_update_desc);
        $app_update_link=$settings->app_update_link;
        $app_update_cancel_option=$settings->app_update_cancel_option;

        $live_wallpaper_on_off=$settings->live_wallpaper_on_off;
         
        $app_package_name=$settings->app_package_name?$settings->app_package_name:"com.vpapps.onlinemp3";

        //Ad List
        $ads_list = AppAds::where('status','1')->orderby('id')->get();  
        
        if(count($ads_list) > 0)
        {
            foreach($ads_list as $ad_data)
            {
                    $ad_id= $ad_data->id;
                    $ads_name= $ad_data->ads_name; 
                    $ads_info= json_decode($ad_data->ads_info);                  
                    $status= $ad_data->status?"true":"false";;                 
                     
                    $ads_obj[]=array("ad_id"=>$ad_id,"ads_name"=>$ads_name,"ads_info"=>$ads_info,"status"=>$status);   
            }
        }
        else
        {
            $ads_obj= array();
        }

        //Page List
        $page_list = Pages::where('status','1')->orderby('page_order')->get();  
  
        foreach($page_list as $page_data)
        {
                $page_id= $page_data->id;
                $page_title= stripslashes($page_data->page_title); 
                $page_content= stripslashes($page_data->page_content);                  
                  
                $pages_obj[]=array("page_id"=>$page_id,"page_title"=>$page_title,"page_content"=>$page_content);   
        }

        /***********Save visitor user info start************/
        $user_ip=\Request::ip();                
        $os_name = isset($get_data['os_name'])?$get_data['os_name']:"";   
        $browser_name = '';    
 
        save_visitor_analytics_info($user_ip,$os_name,$browser_name);

        /***********Save visitor user info end************/

        $response[] = array('app_package_name'=>$app_package_name,'app_name' => $app_name,'app_email' => $app_email,'app_logo' => $app_logo,'app_company' => $app_company,'app_website' => $app_website,'app_contact' => $app_contact,'facebook_link' => $facebook_link,'twitter_link' => $twitter_link,'instagram_link' => $instagram_link,'youtube_link' => $youtube_link,'google_play_link' => $google_play_link,'apple_store_link' => $apple_store_link,'app_version' => $app_version,'app_update_hide_show' => $app_update_hide_show,'app_update_version_code' => $app_update_version_code,'app_update_desc' => $app_update_desc,'app_update_link' => $app_update_link,'app_update_cancel_option' => $app_update_cancel_option,'live_wallpaper_on_off' => $live_wallpaper_on_off,'ads_list'=>$ads_obj,'page_list'=>$pages_obj,'success'=>'1');

        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        )); 

    }
    
    public function recent_wallpaper()
    {   
        $get_data=checkSignSalt($_POST['data']);

        if(isset($get_data['recent_post_ids']))
        {
            $post_ids= explode(',',$get_data['recent_post_ids']);

            foreach($post_ids as $post_id)
            { 
                $data_info= Wallpaper::where('id',$post_id)->first();
   
                $total_views= post_views_count($post_id,"Wallpaper");
                $total_download= post_download_count($post_id,"Wallpaper");
                $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");
        
                $response[]=array("post_id"=>$data_info->id,"type"=>$data_info->type,"post_title"=>stripslashes($data_info->title),"post_image"=>\URL::to('/'.$data_info->image),"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);       
            }
        }
        else
        {
            $response=array();
        }

        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));

    }
 
    public function featured_wallpaper()
    {   

        $get_data=checkSignSalt($_POST['data']);

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';   
        
        $colorArray = explode(',', $color_id);

        if($type !='' AND $color_id != '')
        {
            $data_list= Wallpaper::where('status',1)->where('featured',1)->where('type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->get();  
        }
        else if($type !='')
        {
            $data_list= Wallpaper::where('status',1)->where('featured',1)->where('type',$type)->orderby('id','DESC')->get();  
        }
        else if($color_id != '')
        {
            $data_list= Wallpaper::where('status',1)->where('featured',1)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->take(30)->get();
            
        }
        else
        {
            $data_list= Wallpaper::where('status',1)->where('featured',1)->orderby('id','DESC')->get();
        }         

        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"Wallpaper");
                        $total_download= post_download_count($post_id,"Wallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                        $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }

 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function popular_wallpaper()
    {   

        $get_data=checkSignSalt($_POST['data']);

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';  
        
        $colorArray = explode(',', $color_id);
        
        if($type !='' AND $color_id != '')
        {
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where('wallpaper.type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
                };
            })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_views) as total_post_views'))
            ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_post_views','DESC')->take(30)
            ->get();
             
        }
        else if($type !='')
        {             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where('wallpaper.type',$type)->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_views) as total_post_views'))
            ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_post_views','DESC')->take(30)
            ->get();
        }
        else if($color_id != '')
        {              

           $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where(function($query) use($colorArray) {
            foreach($colorArray as $color) {
                $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
            };
        })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_views) as total_post_views'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
         ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
         ->orderby('total_post_views','DESC')->take(30)
         ->get();
             
        }
        else
        {    
             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_views) as total_post_views'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
         ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
         ->orderby('total_post_views','DESC')->take(30)
         ->get();

           // $data_list = Wallpaper::where('wallpaper.status',1)->join('post_views', 'post_views.post_id', '=', 'wallpaper.id')->orderby('post_views.post_views','DESC')->take(30)->get(['wallpaper.*', 'post_views.post_views','post_views.post_views']);
        }         

           // dd($data_list);exit;

        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"Wallpaper");
                        $total_download= post_download_count($post_id,"Wallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                        $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function most_download_wallpaper()
    {   

        $get_data=checkSignSalt($_POST['data']);

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';   
        
        $colorArray = explode(',', $color_id);
        
        if($type !='' AND $color_id != '')
        {
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where('wallpaper.type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
                };
            })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_download) as total_post_download'))
            ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_post_download','DESC')->take(30)
            ->get();
             
        }
        else if($type !='')
        {             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where('wallpaper.type',$type)->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_download) as total_post_download'))
            ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_post_download','DESC')->take(30)
            ->get();
        }
        else if($color_id != '')
        {              

           $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->where(function($query) use($colorArray) {
            foreach($colorArray as $color) {
                $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
            };
        })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_download) as total_post_download'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
         ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
         ->orderby('total_post_download','DESC')->take(30)
         ->get();
             
        }
        else
        {    
             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_views.post_type','Wallpaper')->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_download) as total_post_download'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
         ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
         ->orderby('total_post_download','DESC')->take(30)
         ->get();
          
        }         

           // dd($data_list);exit;

        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"Wallpaper");
                        $total_download= post_download_count($post_id,"Wallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                        $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function high_rated_wallpaper()
    {   

        $get_data=checkSignSalt($_POST['data']);

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';
        
        $colorArray = explode(',', $color_id);
        
        if($type !='' AND $color_id != '')
        {
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_ratings.post_type','Wallpaper')->where('wallpaper.type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
                };
            })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_ratings.rate) as total_rate'))
            ->leftJoin('post_ratings', 'post_ratings.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_rate','DESC')->take(30)
            ->get();
             
        }
        else if($type !='')
        {             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_ratings.post_type','Wallpaper')->where('wallpaper.type',$type)->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_ratings.rate) as total_rate'))
            ->leftJoin('post_ratings', 'post_ratings.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_rate','DESC')->take(30)
            ->get();
        }
        else if($color_id != '')
        {              

            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_ratings.post_type','Wallpaper')->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',wallpaper.color)");
                };
            })->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_ratings.rate) as total_rate'))
            ->leftJoin('post_ratings', 'post_ratings.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_rate','DESC')->take(30)
            ->get();
             
        }
        else
        {    
             
            $data_list = Wallpaper::where('wallpaper.status',1)->where('post_ratings.post_type','Wallpaper')->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_ratings.rate) as total_rate'))
            ->leftJoin('post_ratings', 'post_ratings.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_rate','DESC')->take(30)
            ->get();
          
        }         

           // dd($data_list);exit;

        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"Wallpaper");
                        $total_download= post_download_count($post_id,"Wallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                        $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }
 
    public function category()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $data_list= Category::where('status',1)->orderby('category_name')->paginate($this->pagination_limit);
        
        $total_records=Category::where('status',1)->count();

        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            { 
                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->category_name),"post_image"=>\URL::to('/'.$obj_data->category_image));
            }
        }
        else
        {
            $response = array();
        }


         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function subcategory()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $cat_id=$get_data['cat_id'];

        $data_list= SubCategory::where('status',1)->where('cat_id',$cat_id)->orderby('sub_category_name')->paginate($this->pagination_limit);

        $total_records=SubCategory::where('status',1)->where('cat_id',$cat_id)->count();

        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            { 
                $total_wallpaper= Wallpaper::where('sub_cat_id',$obj_data->id)->count();

                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->sub_category_name),"post_image"=>\URL::to('/'.$obj_data->sub_category_image),"total_wallpaper"=>$total_wallpaper);
            }
        }
        else
        {
            $response=array();
        }
 
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function colors()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $data_list= Colors::where('status',1)->orderby('color_name')->get();

        $total_records=Colors::where('status',1)->count();

        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            { 
                $response[]=array("color_id"=>$obj_data->id,"color_name"=>stripslashes($obj_data->color_name),"color_code"=>$obj_data->color_code);
            }
        }
        else
        {
            $response=array();
        }
 

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }
    
    public function cat_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $cat_id=$get_data['cat_id'];

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';  
        
        $colorArray = explode(',', $color_id);

        if($type !='' AND $color_id != '')
        {
            $data_list= Wallpaper::where('status',1)->where('cat_id',$cat_id)->where('type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->take(30)->get();

            $total_records=Wallpaper::where('status',1)->where('cat_id',$cat_id)->where('type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->count();
        }
        else if($type !='')
        {
            $data_list= Wallpaper::where('status',1)->where('cat_id',$cat_id)->where('type',$type)->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('cat_id',$cat_id)->where('type',$type)->count();
        }
        else if($color_id !='')
        {
            $data_list= Wallpaper::where('status',1)->where('cat_id',$cat_id)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('cat_id',$cat_id)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->count();
        }      
        else
        {
            $data_list= Wallpaper::where('status',1)->where('cat_id',$cat_id)->orderby('id','DESC')->paginate($this->pagination_limit);

             $total_records=Wallpaper::where('status',1)->where('cat_id',$cat_id)->count();
        }
 
      
        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            {       
                    $post_id = $obj_data->id;
                    
                    $total_views= post_views_count($post_id,"Wallpaper");
                    $total_download= post_download_count($post_id,"Wallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                    $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

     
                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            } 
        }
        else
        {
            $response=array();
        } 

        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function subcat_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $sub_cat_id=$get_data['sub_cat_id'];

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:''; 
        
        $colorArray = explode(',', $color_id);

        if($type !='' AND $color_id != '')
        {
            $data_list= Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where('type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where('type',$type)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->count();
        }
        else if($type !='')
        {
            $data_list= Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where('type',$type)->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where('type',$type)->count();
        }
        else if($color_id !='')
        {
            $data_list= Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->count();
        }      
        else
        {
            $data_list= Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->orderby('id','DESC')->paginate($this->pagination_limit);

             $total_records=Wallpaper::where('status',1)->where('sub_cat_id',$sub_cat_id)->count();
        }
 
      
        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            {       
                    $post_id = $obj_data->id;
                    
                    $total_views= post_views_count($post_id,"Wallpaper");
                    $total_download= post_download_count($post_id,"Wallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                    $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

     
                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            } 
        }
        else
        {
            $response=array();
        } 

        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function colors_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $color_id=$get_data['color_id'];

        if(isset($get_data['wall_type']))
        {
            $type=$get_data['wall_type'];

            $data_list= Wallpaper::where('status',1)->where('type',$type)->whereRaw("find_in_set('$color_id',color)")->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->whereRaw("find_in_set('$color_id',color)")->count();
        }
        else
        {
            $data_list= Wallpaper::where('status',1)->whereRaw("find_in_set('$color_id',color)")->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->whereRaw("find_in_set('$color_id',color)")->count();
        }

        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            { 
                $post_id = $obj_data->id;
                    
                $total_views= post_views_count($post_id,"Wallpaper");
                $total_download= post_download_count($post_id,"Wallpaper");
                $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response=array();
        }
 

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function latest_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:'';        
 
        if($type !='' AND $color_id != '')
        {
             
            //$data_list= Wallpaper::where('status',1)->where('type',$type)->whereRaw("find_in_set('$color_id',color)")->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);
             
            $colorArray = explode(',', $color_id); 
 
            $data_list= Wallpaper::where('status',1)->where('type',$type)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);

        }
        else if($type !='')
        {
            $data_list= Wallpaper::where('status',1)->where('type',$type)->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);
        }
        else if($color_id !='')
        {
            $colorArray = explode(',', $color_id); 

            $data_list= Wallpaper::where('status',1)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);           
        }
        else
        {
            $data_list= Wallpaper::where('status',1)->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);
        } 
        
        foreach($data_list as $obj_data)
        {       
                $post_id = $obj_data->id;
                
                $total_views= post_views_count($post_id,"Wallpaper");
                $total_download= post_download_count($post_id,"Wallpaper");
                $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

            $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
        } 
        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        ));

    }

    public function wallpaper_details()
    {
        $get_data=checkSignSalt($_POST['data']);

        $wallpaper_id=$get_data['wallpaper_id'];

        $data_info= Wallpaper::where('id',$wallpaper_id)->first();
  
        $post_id = $data_info->id;
            
        $total_views= post_views_count($post_id,"Wallpaper");
        $total_download= post_download_count($post_id,"Wallpaper");
        $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
        $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        $tags= $data_info->tags; 
        $user_rating= PostRatings::getUserRatings($post_id,"Wallpaper",isset($get_data['user_id'])?$get_data['user_id']:"");

        $response[]=array("post_id"=>$data_info->id,"post_title"=>stripslashes($data_info->title),"post_image"=>\URL::to('/'.$data_info->image),"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite,"tags"=>$tags,"user_rating"=>$user_rating);
           
         
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        ));
    }

    public function wallpaper_random()
    {    
        $get_data=checkSignSalt($_POST['data']);
        
        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';

        if($type !='')
        {
            $data_list= Wallpaper::where('status',1)->where('type',$type)->inRandomOrder()->take(30)->get();
        }
        else
        {
            $data_list= Wallpaper::where('status',1)->inRandomOrder()->take(30)->get();
        } 
  
        foreach($data_list as $obj_data)
        { 
            $post_id = $obj_data->id;
                
            $total_views= post_views_count($post_id,"Wallpaper");
            $total_download= post_download_count($post_id,"Wallpaper");
            $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
            $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

            $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
        }          

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        ));

    }

    public function latest_live_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);
         
        $data_list= LiveWallpaper::where('status',1)->orderby('id','DESC')->take(30)->paginate($this->pagination_limit);
         
        foreach($data_list as $obj_data)
        {       
                $post_id = $obj_data->id;
                
                $total_views= post_views_count($post_id,"LiveWallpaper");
                $total_download= post_download_count($post_id,"LiveWallpaper");
                $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

            $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
        } 
        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        ));

    }

    public function popular_live_wallpaper()
    {
        $get_data=checkSignSalt($_POST['data']);

        $data_list = LiveWallpaper::where('live_wallpaper.status',1)->where('post_views.post_type','LiveWallpaper')->select(\DB::raw('live_wallpaper.id,live_wallpaper.title,live_wallpaper.image, SUM(post_views.post_views) as total_post_views'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'live_wallpaper.id')
         ->groupBy('live_wallpaper.id','live_wallpaper.title','live_wallpaper.image')
         ->orderby('total_post_views','DESC')->take(30)
         ->get(); 
           
        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"LiveWallpaper");
                        $total_download= post_download_count($post_id,"LiveWallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                        $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image), "views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function most_download_live_wallpaper()
    {
        $get_data=checkSignSalt($_POST['data']);

        $data_list = LiveWallpaper::where('live_wallpaper.status',1)->where('post_views.post_type','LiveWallpaper')->select(\DB::raw('live_wallpaper.id,live_wallpaper.title,live_wallpaper.image, SUM(post_views.post_download) as total_post_download'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'live_wallpaper.id')
         ->groupBy('live_wallpaper.id','live_wallpaper.title','live_wallpaper.image')
         ->orderby('total_post_download','DESC')->take(30)
         ->get(); 
           
        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"LiveWallpaper");
                        $total_download= post_download_count($post_id,"LiveWallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                        $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image), "views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function high_rated_live_wallpaper()
    {
        $get_data=checkSignSalt($_POST['data']);
         
        $data_list = LiveWallpaper::where('live_wallpaper.status',1)->where('post_ratings.post_type','LiveWallpaper')->select(\DB::raw('live_wallpaper.id,live_wallpaper.title,live_wallpaper.image, SUM(post_ratings.rate) as total_rate'))
         ->leftJoin('post_ratings', 'post_ratings.post_id', '=', 'live_wallpaper.id')
         ->groupBy('live_wallpaper.id','live_wallpaper.title','live_wallpaper.image')
         ->orderby('total_rate','DESC')->take(30)
         ->get(); 
           
        if(count($data_list) > 0)
        {            
            foreach($data_list as $obj_data)
            { 
                        $post_id = $obj_data->id;
                        
                        $total_views= post_views_count($post_id,"LiveWallpaper");
                        $total_download= post_download_count($post_id,"LiveWallpaper");
                        $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                        $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        
                    $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image), "views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            }
        }
        else
        {
            $response = array();
        }
 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function live_wallpaper_details()
    {
        $get_data=checkSignSalt($_POST['data']);

        $wallpaper_id=$get_data['live_wallpaper_id'];

        $data_info= LiveWallpaper::where('id',$wallpaper_id)->first();
  
        $post_id = $data_info->id;
            
        $total_views= post_views_count($post_id,"LiveWallpaper");
        $total_download= post_download_count($post_id,"LiveWallpaper");
        $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
        $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

        $tags= $data_info->tags; 
        $user_rating= PostRatings::getUserRatings($post_id,"LiveWallpaper",isset($get_data['user_id'])?$get_data['user_id']:"");

        $response[]=array("post_id"=>$data_info->id,"post_title"=>stripslashes($data_info->title),"post_image"=>\URL::to('/'.$data_info->image),"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite,"tags"=>$tags,"user_rating"=>$user_rating);
           
         
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
             'status_code' => 200
        ));
    }
 
    public function post_view()
    {           
        $get_data=checkSignSalt($_POST['data']);

        $post_id = $get_data['post_id'];
        $post_type = $get_data['post_type'];
          
        //View Update
        post_views_save($post_id,$post_type);

        $post_views= post_views_count($post_id,$post_type);

        $response[]=array("views"=>$post_views);
         
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));

    }

    public function post_download()
    {   
        
        $get_data=checkSignSalt($_POST['data']);

        $post_id = $get_data['post_id'];
        $post_type = $get_data['post_type'];
          
        //Download Update
        post_download_save($post_id,$post_type);

        $song_download= post_download_count($post_id,$post_type);

        $response[]=array("download"=>$song_download);
         
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));

    }

    public function post_rate()
    {   
        
        $get_data=checkSignSalt($_POST['data']);

        $user_id = $get_data['user_id'];
        $post_id = $get_data['post_id'];
        $rate = $get_data['rate'];
        $post_type = $get_data['post_type'];

        $rate_info = PostRatings::where('post_type', '=', $post_type)->where('post_id', '=', $post_id)->where('user_id', '=', $user_id)->first();   


        if($rate_info)
        { 
            $rate_obj = PostRatings::findOrFail($rate_info->id);        
            $rate_obj->rate = $rate;
            $rate_obj->save();

            $msg=trans('words.rate_updated');
             
        }
        else
        {
            $rate_obj = new PostRatings;

            $rate_obj->post_id = $post_id;
            $rate_obj->user_id = $user_id;
            $rate_obj->rate = $rate;
            $rate_obj->post_type = $post_type;
            $rate_obj->save();

            $msg=trans('words.rate_success');
        }  
         

        $total_rate= PostRatings::getPostTotalRatings($post_id,$post_type);

        $response[]=array("total_rate"=>$total_rate,"msg"=>$msg);
         
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));

    }

    public function post_favourite()
    {   
        
        $get_data=checkSignSalt($_POST['data']);

        $user_id = $get_data['user_id'];
        $post_id = $get_data['post_id'];
        $post_type = $get_data['post_type'];
 
        $fav_info = Favourite::where('post_type', '=', $post_type)->where('post_id', '=', $post_id)->where('user_id', '=', $user_id)->first();   


        if($fav_info)
        { 
            $fav_obj = Favourite::findOrFail($fav_info->id);        
            $fav_obj->delete();

            $success=false;
            $msg=trans('words.fav_deleted');
             
        }
        else
        {
            $fav_obj = new Favourite;

            $fav_obj->post_id = $post_id;
            $fav_obj->user_id = $user_id;
            $fav_obj->post_type = $post_type;
            $fav_obj->save();

            $success=true;
            $msg=trans('words.fav_success');
        }  
          
        $response[]=array("success"=>$success,"msg"=>$msg);
         
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));

    }

    public function search_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $search_text=$get_data['search_text'];

        $type=isset($get_data['wall_type'])?$get_data['wall_type']:'';
        $color_id=isset($get_data['color_id'])?$get_data['color_id']:''; 
        
        $colorArray = explode(',', $color_id);

        //\DB::enableQueryLog();

        if($type !='' AND $color_id != '')
        {
            $data_list= Wallpaper::where('status',1)->where('type',$type)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })
            ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('type',$type)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })
            ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->count();
        }
        else if($type !='')
        {
            //$data_list= Wallpaper::where('status',1)->where('type',$type)->where('title', 'LIKE', '%'. $search_text. '%')->orwhere('tags', 'LIKE', '%'. $search_text. '%')->orderby('id','DESC')->paginate($this->pagination_limit);

            $data_list= Wallpaper::where('status',1)->where('type',$type)
            ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
            })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)->where('type',$type)
            ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->count();
        }
        else if($color_id !='')
        {
            //echo "Test";exit;

            $data_list= Wallpaper::where('status',1)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->orderby('id','DESC')->paginate($this->pagination_limit);

            $total_records=Wallpaper::where('status',1)
            ->where(function($query) use($colorArray) {
                foreach($colorArray as $color) {
                    $query->orwhereRaw("find_in_set('$color',color)");
                };
            })->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->count();
        }      
        else
        {
            $data_list= Wallpaper::where('status',1)
            ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->orderby('id','DESC')->paginate($this->pagination_limit);

             $total_records=Wallpaper::where('status',1)
             ->where(function($query) use ($search_text){
                $query->where('title', 'LIKE', '%'.$search_text.'%');
                $query->orWhere('tags', 'LIKE', '%'.$search_text.'%');
             })->count();
        }
        
        //dd(\DB::getQueryLog());
      
        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            {       
                    $post_id = $obj_data->id;
                    
                    $total_views= post_views_count($post_id,"Wallpaper");
                    $total_download= post_download_count($post_id,"Wallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                    $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

     
                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"type"=>$obj_data->type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            } 
        }
        else
        {
            $response=array();
        } 

        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function search_live_wallpaper()
    {    

        $get_data=checkSignSalt($_POST['data']);

        $search_text=$get_data['search_text'];
         
        
       // \DB::enableQueryLog();

        
        $data_list= LiveWallpaper::where('status',1)->where('title', 'LIKE', '%'. $search_text. '%')->orwhere('tags', 'LIKE', '%'. $search_text. '%')->orderby('id','DESC')->paginate($this->pagination_limit);

        $total_records= LiveWallpaper::where('status',1)->where('title', 'LIKE', '%'. $search_text. '%')->orwhere('tags', 'LIKE', '%'. $search_text. '%')->count();
        
        //dd(\DB::getQueryLog());
      
        if($total_records > 0)
        {
            foreach($data_list as $obj_data)
            {       
                    $post_id = $obj_data->id;
                    
                    $total_views= post_views_count($post_id,"LiveWallpaper");
                    $total_download= post_download_count($post_id,"LiveWallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                    $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");

                $response[]=array("post_id"=>$obj_data->id,"post_title"=>stripslashes($obj_data->title),"post_image"=>\URL::to('/'.$obj_data->image),"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite);
            } 
        }
        else
        {
            $response=array();
        } 

        

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

      
    public function login()
    {   
        
        $get_data=checkSignSalt($_POST['data']);

          
        $email=isset($get_data['email'])?$get_data['email']:'';
        $password=isset($get_data['password'])?$get_data['password']:'';
        
        if ($email=='' AND $password=='')
        {
                 
               $response[] = array('msg' => trans('words.email_pass_req'),'success'=>'0'); 

                return \Response::json(array(            
                    'HD_WALLPAPER_APP' => $response,
                    'status_code' => 200
                ));
        }
 
        $user_info = User::where('email',$email)->first(); 

         
        if (Hash::check($password, $user_info['password'])) 
        {
           
            if($user_info->status==0){
                  
                  $response[] = array('msg' => trans('words.account_banned'),'success'=>'0');
            }             
            else
            { 
                $user_id=$user_info->id;
                $user = User::findOrFail($user_id);

                 
                if($user->user_image!='')
                {
                    $user_image=\URL::asset('upload/'.$user->user_image);
                }
                else
                {
                    $user_image=\URL::asset('upload/profile.png');
                }
                $phone= $user->phone?$user->phone:'';

                $response[] = array('user_id' => $user_id,'name' => $user->name,'email' => $user->email,'phone' => $phone,'user_image' => $user_image,'msg' => trans('words.login_success'),'success'=>'1');
            }

        }
        else
        {
            $response[] = array('msg' => trans('words.email_password_invalid'),'success'=>'0');
        }
        
        
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));   
    }

    public function signup()
    { 
        $get_data=checkSignSalt($_POST['data']);
            
        $name= $get_data['name'];
        $email= $get_data['email'];
        $password= $get_data['password'];
        $phone= $get_data['phone'];
        
        $check_email = User::where('email', $email)->first();

        if($check_email)
        {
            $response[] = array('msg' => trans('words.email_already_used'),'success'=>'0'); 

                return \Response::json(array(            
                    'HD_WALLPAPER_APP' => $response,
                    'status_code' => 200
                ));
        }
        else
        {   
            $user = new User;

            $user->usertype = 'User';
            $user->name = $name; 
            $user->email = $email;         
            $user->password= bcrypt($password);  
            $user->phone= $phone?$phone:'';        
            $user->save();

            $response[] = array('msg' => trans('words.account_created_successfully'),'success'=>'1');
            return \Response::json(array(            
                'HD_WALLPAPER_APP' => $response,
                'status_code' => 200
            ));
        }
    }

    public function social_login()
    {   
        
        $get_data=checkSignSalt($_POST['data']);
            
        $login_type= $get_data['login_type']; // FB or Google
        $social_id= $get_data['social_id'];

        $name= $get_data['name'];
        $email= $get_data['email'];
        $password= bcrypt('123456dummy');
        $phone= '';
        
        $check_email = User::where('email', $email)->first();

        if($check_email)
        {
            $finduser = User::where('email', $email)->first();
        }
        else
        {
            if($login_type=="google")
            {
                 $finduser = User::where('google_id', $social_id)->first();
     
            }
            else
            {
                 $finduser = User::where('facebook_id', $social_id)->first();
      
            }
        }

        if($finduser)
        {   
                if($finduser->user_image!='')
                {
                    $user_image=\URL::asset('upload/'.$finduser->user_image);
                }
                else
                {
                    $user_image=\URL::asset('upload/profile.png');
                }

                if($finduser->status==0){
                 
                  $response[] = array('msg' => trans('words.account_banned'),'success'=>'0');
                }
                else
                {
                 $phone= $finduser->phone?$finduser->phone:'';       
                
                 $response[] = array('user_id' => $finduser->id,'name' => $finduser->name,'email' => $finduser->email,'phone' => $phone,'user_image' => $user_image,'msg' => trans('words.login_success'),'success'=>'1');
                }
        }
        else
        {

            if($login_type=="google")
            {
                 $social_login_type="google";
                 $google_id=$social_id;

                 $user_obj = new User;

                $user_obj->usertype = 'User';
                $user_obj->social_login_type = $social_login_type; 
                $user_obj->google_id = $google_id; 
                $user_obj->name = $name; 
                $user_obj->email = $email;         
                $user_obj->password= bcrypt($password);  
                $user_obj->phone= $phone?$phone:'';        
                $user_obj->save();
     
            }
            else
            {
                 $social_login_type="facebook";
                 $facebook_id=$social_id;

                 $user_obj = new User;

                $user_obj->usertype = 'User';
                $user_obj->social_login_type = $social_login_type; 
                $user_obj->facebook_id = $facebook_id; 
                $user_obj->name = $name; 
                $user_obj->email = $email;         
                $user_obj->password= bcrypt($password);  
                $user_obj->phone= $phone?$phone:'';        
                $user_obj->save();
      
            }

            //Get last insert user id
            $user_id=$user_obj->id;
 
            $user = User::findOrFail($user_id);

                 
            if($user->user_image!='')
            {
                $user_image=\URL::asset('upload/'.$user->user_image);
            }
            else
            {
                $user_image=\URL::asset('upload/profile.png');
            }
            $phone= $user->phone?$user->phone:'';

            $response[] = array('user_id' => $user_id,'name' => $user->name,'email' => $user->email,'phone' => $phone,'user_image' => $user_image,'msg' => trans('words.login_success'),'success'=>'1');
        }

 
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));   
    }
     
 
    public function forgot_password()
    {   
        $get_data=checkSignSalt($_POST['data']);

        $email=isset($get_data['email'])?$get_data['email']:'';
 
        $user = User::where('email', $email)->first();

        //dd($user);
        //exit;

        if(!$user)
        {
            $response[] = array('msg' => trans('words.email_not_found'),'success'=>'1');
        }
        else
        {  
           $user_id=$user->id;
           $name=$user->name;
           $email=$user->email;

           $password= Str::random(10);

           $user = User::findOrFail($user_id);
           $user->password= bcrypt($password);
           $user->save(); 
    
           try{

            $data_email = array(
                'name' => $name,
                'password' => $password
                );    

            \Mail::send('emails.password', $data_email, function($message) use ($name,$email){
                $message->to($email, $name)
                ->from(getcong('app_email'), getcong('app_name'))
                ->subject('Password Reset | '.getcong('app_name'));
            });    

            }catch (\Throwable $e) {
                     
                \Log::info($e->getMessage());    
            }     
     
           
           $response[] = array('msg' => trans('words.email_new_pass_sent'),'success'=>'1');
 
        }

        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

     
    public function profile()
    {   
        $get_data=checkSignSalt($_POST['data']);

        $user_id=$get_data['user_id'];

        $user = User::findOrFail($user_id);

                 
        if($user->user_image!='')
        {
            $user_image=\URL::asset('upload/'.$user->user_image);
        }
        else
        {
            $user_image=\URL::asset('upload/profile.jpg');
        }

        $phone=$user->phone?$user->phone:'';
 
        $response[] = array('user_id' => $user_id,'name' => $user->name,'email' => $user->email,'phone' => $phone,'user_image' => $user_image,'msg' => trans('words.profile'),'success'=>'1');


        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function profile_update(Request $request)
    { 
         //$data =  \Request::except(array('_token'));
         
        $inputs = $request->all();
         //dd($inputs);
        //exit;
        //echo $inputs['data'];
        $get_data=checkSignSalt($inputs['data']);

          
        $user_id=$get_data['user_id'];    
        $user_obj = User::findOrFail($user_id);

        $icon = $request->file('user_image');
        
                 
        if($icon){

            \File::delete(public_path('/upload/').$user_obj->user_image);            

            //$tmpFilePath = public_path().'/upload/';
            $tmpFilePath = public_path('/upload/');

            $hardPath =  Str::slug($get_data['name'], '-').'-'.md5(time());

            $img = Image::make($icon);

            $img->fit(250, 250)->save($tmpFilePath.$hardPath.'-b.jpg');
            //$img->fit(80, 80)->save($tmpFilePath.$hardPath. '-s.jpg');

            $user_obj->user_image = $hardPath.'-b.jpg';
        }
        
        
        $user_obj->name = $get_data['name'];          
        $user_obj->email = $get_data['email']; 
        $user_obj->phone = $get_data['phone'];
        
        if($get_data['password'])
        {
            $user_obj->password = bcrypt($get_data['password']);
        }         
       
        $user_obj->save();

        $user_id=$get_data['user_id'];    
        $user = User::findOrFail($user_id);

        if($user->user_image!='')
        {
            $user_image=\URL::asset('upload/'.$user->user_image);
        }
        else
        {
            $user_image=\URL::asset('upload/profile.jpg');
        }


        $response[] = array('user_image' => $user_image,'msg' => trans('words.successfully_updated'),'success'=>'1');
        return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
    }

    public function user_favourite_post_list()
    {   
        
        $get_data=checkSignSalt($_POST['data']);

        $user_id=$get_data['user_id'];

        
        $data_list= Favourite::where('post_type','Wallpaper')->where('user_id',$user_id)->orderby('id','DESC')->paginate($this->pagination_limit);
        $total_records= Favourite::where('post_type','Wallpaper')->where('user_id',$user_id)->count();

        if($total_records > 0)
        {

            foreach($data_list as $obj_data)
            { 
                 
                    $post_id=$obj_data->post_id;
                    $post_title= Wallpaper::getWallpaperInfo($post_id,'title');
                    $post_image= \URL::to('/'.Wallpaper::getWallpaperInfo($post_id,'image'));
                    
                    $type= Wallpaper::getWallpaperInfo($post_id,'type');
 
                    $total_views= post_views_count($post_id,"Wallpaper");
                    $total_download= post_download_count($post_id,"Wallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"Wallpaper");  
                    $favourite=check_favourite("Wallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");
                    
                          

                $response['wallpaper_list'][]=array("post_id"=>$post_id,"post_title"=>stripslashes($post_title),"post_image"=>$post_image, "type"=>$type,"views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite); 
                 
            }
        }
        else
        {
            $response['wallpaper_list']=array();
        }


        $data_list_live= Favourite::where('post_type','LiveWallpaper')->where('user_id',$user_id)->orderby('id','DESC')->paginate($this->pagination_limit);
        $total_records_live= Favourite::where('post_type','LiveWallpaper')->where('user_id',$user_id)->count();

        if($total_records_live > 0)
        {

            foreach($data_list_live as $obj_data_live)
            { 
                 
                    $post_id=$obj_data_live->post_id;
                    $post_title= LiveWallpaper::getLiveWallpaperInfo($post_id,'title');
                    $post_image= \URL::to('/'.LiveWallpaper::getLiveWallpaperInfo($post_id,'image'));
                    
  
                    $total_views= post_views_count($post_id,"LiveWallpaper");
                    $total_download= post_download_count($post_id,"LiveWallpaper");
                    $total_rate= PostRatings::getPostTotalRatings($post_id,"LiveWallpaper");  
                    $favourite=check_favourite("LiveWallpaper",$post_id,isset($get_data['user_id'])?$get_data['user_id']:"");
                    
                          

                $response['live_wallpaper_list'][]=array("post_id"=>$post_id,"post_title"=>stripslashes($post_title),"post_image"=>$post_image, "views"=>$total_views,"downloads"=>$total_download,"total_rate"=>$total_rate,"favourite"=>$favourite); 
                 
            }
        }
        else
        {
            $response['live_wallpaper_list']=array();
        }

         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'total_records' => $total_records,
            'status_code' => 200
        ));

    }

    public function user_reports()
    { 
         
        $get_data=checkSignSalt($_POST['data']);

        $user_id = $get_data['user_id'];
        $post_id = $get_data['post_id'];
        $post_type = $get_data['post_type'];
        $message = $get_data['message'];
 
         
            $re_obj = new Reports;

            $re_obj->post_type = $post_type;
            $re_obj->post_id = $post_id;
            $re_obj->user_id = $user_id;
            $re_obj->message = $message;
            $re_obj->date = strtotime(date('m/d/Y H:i:s'));
            $re_obj->save();

            $success=true;
            
        $response[]=array("msg"=>trans('words.reports_success'));
         
         return \Response::json(array(            
            'HD_WALLPAPER_APP' => $response,
            'status_code' => 200
        ));
        
    }
 
}
