<?php

namespace App\Http\Controllers\Admin;

use Auth;
use App\User;
use App\Category;
use App\SubCategory;
use App\Colors;
use App\Wallpaper;
use App\LiveWallpaper;
use App\Reports;
use App\Pages;
use App\Favourite;
use App\PostRatings;
use App\PostViewsDownload;

use App\Http\Requests;
use Illuminate\Http\Request;
use Session;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Str; 

class ActionsController extends MainAdminController
{
	public function __construct()
    {
		 $this->middleware('auth');
          
    }
 

    public function ajax_status(Request $request)
    {  
       
       //$data =  \Request::except(array('_token'));

        $inputs = $request->all(); 
        //dd($inputs);exit;

        $post_id=$inputs['id'];
        $value=$inputs['value'];
        $action_for=$inputs['action_for'];
        
        if($action_for=="cat_status")
        {

            $data_obj = Category::findOrFail($post_id);        
     
            if($value=="true")
            {
                $data_obj->status = 1; 
            }
            else
            {
                $data_obj->status = 0; 
            }        
             
            $data_obj->save();             
            $response['status'] = 1;
            
        }
       else if($action_for=="sub_cat_status")
        {

            $data_obj = SubCategory::findOrFail($post_id);        
     
            if($value=="true")
            {
                $data_obj->status = 1; 
            }
            else
            {
                $data_obj->status = 0; 
            }        
             
            $data_obj->save();             
            $response['status'] = 1;
            
        }
        else if($action_for=="color_status")
        {

            $data_obj = Colors::findOrFail($post_id);        
     
            if($value=="true")
            {
                $data_obj->status = 1; 
            }
            else
            {
                $data_obj->status = 0; 
            }        
             
            $data_obj->save();             
            $response['status'] = 1;
            
        }
        else if($action_for=="wallpaper_status")
        {

            $data_obj = Wallpaper::findOrFail($post_id);        
     
            if($value=="true")
            {
                $data_obj->status = 1; 
            }
            else
            {
                $data_obj->status = 0; 
            }        
             
            $data_obj->save();             
            $response['status'] = 1;
            
        }
        else if($action_for=="wallpaper_featured")
        {

            $data_obj = Wallpaper::findOrFail($post_id);        
     
            if($value=="true")
            { 
                $data_obj->featured = 1; 
                
                $response['set_color'] = "green";
                $response['set_title'] = "Remove Slider";
                $response['re_set_value'] = "false";

                $response['res_msg'] = "Set as slider";
            }
            else
            {
                $data_obj->featured = 0;
                
                $response['set_color'] = "red"; //#e32a3c
                $response['set_title'] = "Set Slider";
                $response['re_set_value'] = "true";

                $response['res_msg'] = "Remove from slider";
            }        
             
            $data_obj->save();             
            
            $response['status'] = 1;
            
        }
        else if($action_for=="live_wallpaper_status")
        {

            $data_obj = LiveWallpaper::findOrFail($post_id);        
     
            if($value=="true")
            {
                $data_obj->status = 1; 
            }
            else
            {
                $data_obj->status = 0; 
            }        
             
            $data_obj->save();             
            $response['status'] = 1;
            
        } 
        else
        {
            $response['status'] = 0;
        }     

        echo json_encode($response);
        exit;   
    }

    public function ajax_delete(Request $request)
    {  
        
        $inputs = $request->all(); 
        //dd($inputs);exit;

        if(!isset($inputs['id']))
        {
            $response['status'] = 0;           
              
            echo json_encode($response);
            exit;

        }
        
        if(is_array($inputs['id']))
        {
            $post_ids=$inputs['id'];
        }
        else
        {
            $post_id=$inputs['id'];
        }

        //echo $post_id;exit;
         
        //$post_id=$inputs['id'];
        $action_for=$inputs['action_for'];
        
        if($action_for=="cat_delete")
        {
            $data_obj = Category::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="sub_cat_delete")
        {
            $data_obj = SubCategory::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="color_delete")
        {
            $data_obj = Colors::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="wallpaper_delete")
        {
            $fav_obj = Favourite::where('post_type','Wallpaper')->where('post_id',$post_id)->delete();
            $rate_obj = PostRatings::where('post_type','Wallpaper')->where('post_id',$post_id)->delete();
            $rep_obj = Reports::where('post_type','Wallpaper')->where('post_id',$post_id)->delete(); 
            
            $view_obj = PostViewsDownload::where('post_type','Wallpaper')->where('post_id',$post_id)->delete(); 

            $data_obj = Wallpaper::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="wallpaper_delete_selected")
        {            
           foreach($post_ids as $pid){

            $fav_obj = Favourite::where('post_type','Wallpaper')->where('post_id',$pid)->delete();
            $rate_obj = PostRatings::where('post_type','Wallpaper')->where('post_id',$pid)->delete();
            $rep_obj = Reports::where('post_type','Wallpaper')->where('post_id',$pid)->delete(); 
            
            $view_obj = PostViewsDownload::where('post_type','Wallpaper')->where('post_id',$pid)->delete(); 

            $data_obj = Wallpaper::findOrFail($pid);
            $data_obj->delete(); 
           
           }            
              
            $response['status'] = 1;            
        }
        else if($action_for=="live_wallpaper_delete")
        {
            $fav_obj = Favourite::where('post_type','LiveWallpaper')->where('post_id',$post_id)->delete();
            $rate_obj = PostRatings::where('post_type','LiveWallpaper')->where('post_id',$post_id)->delete();
            $rep_obj = Reports::where('post_type','LiveWallpaper')->where('post_id',$post_id)->delete(); 
            
            $view_obj = PostViewsDownload::where('post_type','LiveWallpaper')->where('post_id',$post_id)->delete();

            $data_obj = LiveWallpaper::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="live_wallpaper_delete_selected")
        {            
           foreach($post_ids as $pid){

            $fav_obj = Favourite::where('post_type','LiveWallpaper')->where('post_id',$pid)->delete();
            $rate_obj = PostRatings::where('post_type','LiveWallpaper')->where('post_id',$pid)->delete();
            $rep_obj = Reports::where('post_type','LiveWallpaper')->where('post_id',$pid)->delete(); 
            
            $view_obj = PostViewsDownload::where('post_type','LiveWallpaper')->where('post_id',$pid)->delete();

            $data_obj = LiveWallpaper::findOrFail($pid);
            $data_obj->delete(); 
           
           }            
              
            $response['status'] = 1;            
        }
        else if($action_for=="report_delete")
        {
            $data_obj = Reports::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="page_delete")
        {
            $data_obj = Pages::findOrFail($post_id);
            $data_obj->delete(); 
             
            $response['status'] = 1;            
        }
        else if($action_for=="user_delete")
        {
            if($post_id==1)
            { 
                $response['status'] = 0;
            }
            else
            {
                $fav_obj = Favourite::where('user_id',$post_id)->delete();
                $rate_obj = PostRatings::where('user_id',$post_id)->delete();
                $rep_obj = Reports::where('user_id',$post_id)->delete();

                $data_obj = User::findOrFail($post_id);
                $data_obj->delete(); 
             
                $response['status'] = 1;     
            }
                   
        }   
        else
        {
            $response['status'] = 0;            
        }     

        echo json_encode($response);
        exit;    
             
    }
     
}
