<?php

namespace App\Http\Controllers\Admin;

use Auth;
use App\User;
use App\Colors;
use App\Http\Requests;
use Illuminate\Http\Request;
use Session;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Str; 

class ColorsController extends MainAdminController
{
	public function __construct()
    {
		 $this->middleware('auth');
          
    }

    public function list()
    { 
 
        if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
        {

            \Session::flash('flash_message', trans('words.access_denied'));

            return redirect('dashboard');
            
        }

        if(isset($_GET['s']))
        {
            $keyword = $_GET['s'];  
            $list = Colors::where("color_name", "LIKE","%$keyword%")->orderBy('color_name')->paginate(12);

            $list->appends(\Request::only('s'))->links();
        }         
        else
        {
            $list = Colors::orderBy('id','DESC')->paginate(12);

        }

        $page_title=trans('words.colors_text');
         
        return view('admin.pages.colors.list',compact('page_title','list'));
    }

    public function add()    
    {     
          if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
            {

                \Session::flash('flash_message', trans('words.access_denied'));

                return redirect('dashboard');
                
             }  

          $page_title=trans('words.add_color');
         
          return view('admin.pages.colors.addedit',compact('page_title'));
        
    }

    public function edit($page_id)    
    {     
          if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
            {

                \Session::flash('flash_message', trans('words.access_denied'));

                return redirect('dashboard');
                
             }  

          $page_title=trans('words.edit_color');

          $info = Colors::findOrFail($page_id);
        
          return view('admin.pages.colors.addedit',compact('page_title','info'));
        
    }

    public function addnew(Request $request)
    {  
       
       $data =  \Request::except(array('_token')) ;
        
        if(!empty($inputs['id'])){
                
                $rule=array(
                'color_name' => 'required'
                  );
        }else
        {
            $rule=array(
                'color_name' => 'required',                            
                 );
        }
    
        
        $validator = \Validator::make($data,$rule);
 
        if ($validator->fails())
        {
                return redirect()->back()->withErrors($validator->messages());
        } 
        $inputs = $request->all();
        
        if(!empty($inputs['id'])){
           
            $data_obj = Colors::findOrFail($inputs['id']);

        }else{

            $data_obj = new Colors;

        }         
 
         $data_obj->color_name = addslashes($inputs['color_name']);
         $data_obj->color_code = $inputs['color_code'];       

         $data_obj->status = $inputs['status']; 
         
         $data_obj->save();
         
        
        if(!empty($inputs['id'])){

            \Session::flash('flash_message', trans('words.successfully_updated'));

            return \Redirect::back();
        }else{

            \Session::flash('flash_message', trans('words.added'));

            return \Redirect::back();

        } 
        
    }
     
}
