<?php

namespace App\Http\Controllers\Admin;

use Auth;
use App\User;
use App\Category;
use App\SubCategory;
use App\Colors;
use App\Wallpaper;
use App\LiveWallpaper;
use App\Reports;
use App\PostViewsDownload;
 
use App\Http\Requests;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
 
class DashboardController extends MainAdminController
{
	public function __construct()
    {
		 $this->middleware('auth');
          
         parent::__construct();
          
    }
    public function index()
    { 
            if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
            {

                \Session::flash('flash_message', 'Access denied!');

                return redirect('dashboard');
                
             }
           
            $category = Category::count();
            $sub_category = SubCategory::count();
            $colors = Colors::count();
            $wallpaper = Wallpaper::count();
            $live_wallpaper = LiveWallpaper::count();
            
            $users = User::where('usertype','User')->count(); 
            $reports = Reports::count();
            
            //Trending
            $trending_start_date = date('Y-m-d', strtotime('today - 30 days'));
            $trending_end_date = date('Y-m-d');

            $trending_now = PostViewsDownload::select("post_id","post_type")->whereBetween('date', array(strtotime($trending_start_date), strtotime($trending_end_date)))->selectRaw('SUM(post_views) as total_views')->groupBy('post_id','post_type')->orderby('total_views','DESC')->take(10)->get();
            
            $most_downloaded = Wallpaper::where('wallpaper.status',1)->whereBetween('post_views.date', array(strtotime($trending_start_date), strtotime($trending_end_date)))->where('post_views.post_type','Wallpaper')->where('post_views.post_download','!=',0)->select(\DB::raw('wallpaper.id,wallpaper.type,wallpaper.title,wallpaper.image, SUM(post_views.post_download) as total_post_download'))
            ->leftJoin('post_views', 'post_views.post_id', '=', 'wallpaper.id')
            ->groupBy('wallpaper.id','wallpaper.type','wallpaper.title','wallpaper.image')
            ->orderby('total_post_download','DESC')->take(10)
            ->get();

            $popular_live_wallpaper = LiveWallpaper::where('live_wallpaper.status',1)->whereBetween('post_views.date', array(strtotime($trending_start_date), strtotime($trending_end_date)))->where('post_views.post_type','LiveWallpaper')->where('post_views.post_views','!=',0)->select(\DB::raw('live_wallpaper.id,live_wallpaper.title,live_wallpaper.image, SUM(post_views.post_views) as total_post_views'))
         ->leftJoin('post_views', 'post_views.post_id', '=', 'live_wallpaper.id')
         ->groupBy('live_wallpaper.id','live_wallpaper.title','live_wallpaper.image')
         ->orderby('total_post_views','DESC')->take(30)
         ->get();


            $start_date = date('Y-m-d', strtotime('today - 300 days'));
            $end_date = date('Y-m-d');  

            //Top Country
            $top_country= DB::table("analytics")->select("country",DB::raw("COUNT(1) as count_row"))->where('country','!=','')->whereBetween('date', array(strtotime($start_date), strtotime($end_date)))->groupBy(DB::raw("(country)"))->orderby('count_row','DESC')->take(10)->get();

            //dd($top_country);exit;
 
            //Latest Reports
            $reports_list = Reports::orderby('id','DESC')->take(10)->get();

             
            $page_title = trans('words.dashboard_text')?trans('words.dashboard_text'):'Dashboard';
                
            return view('admin.pages.dashboard',compact('page_title','category','sub_category','colors','wallpaper','live_wallpaper','users','reports','trending_now','most_downloaded','top_country','popular_live_wallpaper','reports_list'));                  
        
    }
	
	 
    	
}
