<?php

namespace App\Http\Controllers\Admin;

use Auth;
use App\User; 
use App\LiveWallpaper;

use App\Http\Requests;
use Illuminate\Http\Request;
use Session;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Str; 

class LiveWallpaperController extends MainAdminController
{
	public function __construct()
    {
		 $this->middleware('auth');
          
    }

    public function list()
    { 
 
        if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
        {

            \Session::flash('flash_message', trans('words.access_denied'));

            return redirect('dashboard');
            
        }

        if(isset($_GET['s']))
        {
            $keyword = $_GET['s'];  
            $list = LiveWallpaper::where("title", "LIKE","%$keyword%")->orderBy('title')->paginate(12);

            $list->appends(\Request::only('s'))->links();
        }                
        else
        {
            $list = LiveWallpaper::orderBy('id','DESC')->paginate(12);

        }

        $page_title=trans('words.live_wallpaper_text');
          
        return view('admin.pages.live_wallpaper.list',compact('page_title','list'));
    }

    public function add()    
    {     
          if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
            {

                \Session::flash('flash_message', trans('words.access_denied'));

                return redirect('dashboard');
                
             }  

          $page_title=trans('words.add_live_wallpaper');
           
          return view('admin.pages.live_wallpaper.addedit',compact('page_title'));
        
    }

    public function edit($page_id)    
    {     
          if(Auth::User()->usertype!="Admin" AND Auth::User()->usertype!="Sub_Admin")
            {

                \Session::flash('flash_message', trans('words.access_denied'));

                return redirect('dashboard');
                
             }  

          $page_title=trans('words.edit_live_wallpaper');

          $info = LiveWallpaper::findOrFail($page_id);
 
          return view('admin.pages.live_wallpaper.addedit',compact('page_title','info'));
        
    }

    public function addnew(Request $request)
    {  
       
       $data =  \Request::except(array('_token')) ;
        
        if(!empty($inputs['id'])){
                
                $rule=array(                    
                    'title' => 'required',
                    'image' => 'required'
                  );
        }else
        {
            $rule=array(               
                'title' => 'required',
                'image' => 'required'                                 
                 );
        }

        
        
         $validator = \Validator::make($data,$rule);
 
        if ($validator->fails())
        {
                return redirect()->back()->withErrors($validator->messages());
        } 
        $inputs = $request->all();
        
        if(!empty($inputs['id'])){
           
            $data_obj = LiveWallpaper::findOrFail($inputs['id']);

        }else{

            $data_obj = new LiveWallpaper;

        }         
         
          
         $data_obj->title = addslashes($inputs['title']);
         $data_obj->image = $inputs['image'];       
         $data_obj->tags = $inputs['tags'];           

         $data_obj->status = $inputs['status']; 
         
         $data_obj->save();
         
        
        if(!empty($inputs['id'])){

            \Session::flash('flash_message', trans('words.successfully_updated'));

            return \Redirect::back();
        }else{

            \Session::flash('flash_message', trans('words.added'));

            return \Redirect::back();

        }               
        
        
    }

    public function delete($post_id)
    {
        if(Auth::User()->usertype=="Admin" OR Auth::User()->usertype=="Sub_Admin")
        {
            
             $data_obj = LiveWallpaper::findOrFail($post_id);
             $data_obj->delete();

             \Session::flash('flash_message', trans('words.deleted'));
             return redirect()->back();
             
            
        }
        else
        {
            \Session::flash('flash_message', trans('words.access_denied'));
            return redirect('admin/dashboard');            
        
        }
    }
 
}
