-- --------------------------------------------------------

--
-- Table structure for table `analytics`
--

CREATE TABLE `analytics` (
  `id` bigint(20) NOT NULL,
  `user_ip` varchar(255) DEFAULT NULL,
  `country_code` varchar(3) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `operating_system` varchar(255) DEFAULT NULL,
  `browser` varchar(255) DEFAULT NULL,
  `date` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `app_ads`
--

CREATE TABLE `app_ads` (
  `id` int(11) NOT NULL,
  `ads_name` varchar(255) DEFAULT NULL,
  `ads_info` text DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `app_ads`
--

INSERT INTO `app_ads` (`id`, `ads_name`, `ads_info`, `status`) VALUES
(1, 'Admob', '{\"publisher_id\":\"pub-3940256099942544\",\"banner_on_off\":\"1\",\"banner_id\":\"ca-app-pub-3940256099942544\\/6300978111\",\"interstitial_on_off\":\"1\",\"interstitial_id\":\"ca-app-pub-3940256099942544\\/1033173712\",\"interstitial_clicks\":\"5\",\"native_on_off\":\"1\",\"native_id\":\"ca-app-pub-3940256099942544\\/2247696110\",\"native_position\":\"7\"}', 0),
(2, 'StartApp', '{\"publisher_id\":\"203601319\",\"banner_on_off\":\"1\",\"banner_id\":\"\",\"interstitial_on_off\":\"1\",\"interstitial_id\":\"\",\"interstitial_clicks\":\"5\",\"native_on_off\":\"1\",\"native_id\":\"\",\"native_position\":\"7\"}', 0),
(3, 'Facebook', '{\"publisher_id\":\"\",\"banner_on_off\":\"1\",\"banner_id\":\"fbid\",\"interstitial_on_off\":\"1\",\"interstitial_id\":\"fid\",\"interstitial_clicks\":\"5\",\"native_on_off\":\"1\",\"native_id\":\"da\",\"native_position\":\"7\"}', 0),
(4, 'AppLovins MAX', '{\"publisher_id\":\"\",\"banner_on_off\":\"1\",\"banner_id\":\"3221a2640039c8a8\",\"interstitial_on_off\":\"1\",\"interstitial_id\":\"06b9bf27824eb7f6\",\"interstitial_clicks\":\"5\",\"native_on_off\":\"1\",\"native_id\":\"06b9bf27824eb7f6\",\"native_position\":\"7\"}', 0),
(5, 'Wortise', '{\"publisher_id\":\"a4e76baa-c4ce-4672-ba85-f2f7190bd19b\",\"banner_on_off\":\"1\",\"banner_id\":\"a2562302-14ce-476b-94d4-0c6431f1f927\",\"interstitial_on_off\":\"1\",\"interstitial_id\":\"ed6fc25c-9855-485e-9513-fed0d3acc528\",\"interstitial_clicks\":\"5\",\"native_on_off\":\"1\",\"native_id\":\"cf65ed35-4765-4955-96fc-a33cf43d5340\",\"native_position\":\"7\"}', 1);

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(11) NOT NULL,
  `category_name` varchar(255) NOT NULL,
  `category_image` varchar(255) DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `category_name`, `category_image`, `status`) VALUES
(1, 'Animals', 'upload/images/category/zebra-for-mac-wallpaper-thumb.jpg', 1),
(2, 'Brands', 'upload/images/category/Brands.jpg', 1),
(3, 'Cars', 'upload/images/category/Cars.jpg', 1),
(4, 'Celebrities', 'upload/images/category/Celebrities.jpg', 1),
(5, 'Games', 'upload/images/category/Games.jpg', 1),
(6, 'Nature', 'upload/images/category/Nature.jpg', 1),
(9, 'Birds', 'upload/images/category/wiqAdRQ-wallpaper-birds.jpg', 1),
(10, 'Valentine day', 'upload/images/category/Happy_Valentine_Day.jpg', 1),
(11, 'Bike', 'upload/images/category/Bike_Category.jpg', 1),
(12, 'Places', 'upload/Places1.jpg', 1);

-- --------------------------------------------------------

--
-- Table structure for table `colors`
--

CREATE TABLE `colors` (
  `id` int(11) NOT NULL,
  `color_name` varchar(255) NOT NULL,
  `color_code` varchar(255) NOT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `colors`
--

INSERT INTO `colors` (`id`, `color_name`, `color_code`, `status`) VALUES
(1, 'Red', '#EC1C23', 1),
(2, 'Green', '#22B14B', 1),
(3, 'Blue', '#00A1E7', 1),
(4, 'Orange', '#FF7E26', 1),
(5, 'Yellow', '#FEF100', 1),
(6, 'Purple', '#800080', 1),
(7, 'Pink', '#FF1493', 1),
(8, 'Black', '#000000', 1),
(9, 'Violet', '#EE82EE', 1),
(10, 'DarkRed', '#8B0000', 1),
(11, 'Aquamarine', '#7FFFD4', 1),
(12, 'SkyBlue', '#00BFFF', 1),
(13, 'White', '#FFFFFF', 1),
(14, 'Brown', '#4F2D21', 1),
(15, 'Parrot', '#A5DB0F', 1);

-- --------------------------------------------------------

--
-- Table structure for table `favourite`
--

CREATE TABLE `favourite` (
  `id` bigint(20) NOT NULL,
  `user_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `post_type` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `live_wallpaper`
--

CREATE TABLE `live_wallpaper` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `tags` varchar(255) DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `live_wallpaper`
--

INSERT INTO `live_wallpaper` (`id`, `title`, `image`, `tags`, `status`) VALUES
(1, 'Bike Wallpaper', 'upload/images/live/giphy.gif', 'bike,live wallaper', 1),
(2, 'Love', 'upload/images/live/5.gif', 'Live,Love', 1),
(3, 'Duck', 'upload/images/live/1.gif', 'Dance', 1),
(4, 'Love', 'upload/images/live/GIF_11.gif', 'Love,Romance', 1),
(5, 'Aladdin', 'upload/images/live/6.gif', 'Aladdin,Jasmine', 1),
(6, 'Cartoon', 'upload/images/live/4.gif', 'Cartoon', 1),
(7, 'Sunset', 'upload/images/live/AG74.gif', 'Sunset', 1),
(8, 'Micky', 'upload/images/live/7.gif', 'Micky', 1),
(9, 'Lady', 'upload/images/live/GIF_13.gif', 'Lady', 1);

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE `pages` (
  `id` int(11) NOT NULL,
  `page_title` varchar(500) NOT NULL,
  `page_slug` varchar(500) NOT NULL,
  `page_content` text NOT NULL,
  `page_order` int(3) DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `pages`
--

INSERT INTO `pages` (`id`, `page_title`, `page_slug`, `page_content`, `page_order`, `status`) VALUES
(1, 'About Us', 'about-us', '<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of \\\"de Finibus Bonorum et Malorum\\\" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, \\\"Lorem ipsum dolor sit amet..\\\", comes from a line in section 1.10.32.</p>', 1, 1),
(2, 'Terms Of Use', 'terms-of-use', '<p><strong>Use of this site is provided by Demos subject to the following Terms and Conditions:</strong><br />1. Your use constitutes acceptance of these Terms and Conditions as at the date of your first use of the site.<br />2. Demos reserves the rights to change these Terms and Conditions at any time by posting changes online. Your continued use of this site after changes are posted constitutes your acceptance of this agreement as modified.<br />3. You agree to use this site only for lawful purposes, and in a manner which does not infringe the rights, or restrict, or inhibit the use and enjoyment of the site by any third party.<br />4. This site and the information, names, images, pictures, logos regarding or relating to Demos are provided &ldquo;as is&rdquo; without any representation or endorsement made and without warranty of any kind whether express or implied. In no event will Demos be liable for any damages including, without limitation, indirect or consequential damages, or any damages whatsoever arising from the use or in connection with such use or loss of use of the site, whether in contract or in negligence.<br />5. Demos does not warrant that the functions contained in the material contained in this site will be uninterrupted or error free, that defects will be corrected, or that this site or the server that makes it available are free of viruses or bugs or represents the full functionality, accuracy and reliability of the materials.<br />6. Copyright restrictions: please refer to our Creative Commons license terms governing the use of material on this site.<br />7. Demos takes no responsibility for the content of external Internet Sites.<br />8. Any communication or material that you transmit to, or post on, any public area of the site including any data, questions, comments, suggestions, or the like, is, and will be treated as, non-confidential and non-proprietary information.<br />9. If there is any conflict between these Terms and Conditions and rules and/or specific terms of use appearing on this site relating to specific material then the latter shall prevail.<br />10. These terms and conditions shall be governed and construed in accordance with the laws of England and Wales. Any disputes shall be subject to the exclusive jurisdiction of the Courts of England and Wales.<br />11. If these Terms and Conditions are not accepted in full, the use of this site must be terminated immediately.</p>', 2, 1),
(3, 'Privacy Policy', 'privacy-policy', '<h4><strong>Privacy Policy of&nbsp;<span class=\\\"highlight preview_company_name\\\">Company Name</span></strong></h4>\r\n<p><span class=\\\"highlight preview_company_name\\\">Company Name</span>&nbsp;operates the&nbsp;<span class=\\\"highlight preview_website_name\\\">Website Name</span>&nbsp;website, which provides the SERVICE.</p>\r\n<p>This page is used to inform website visitors regarding our policies with the collection, use, and disclosure of Personal Information if anyone decided to use our Service, the&nbsp;<span class=\\\"highlight preview_website_name\\\">Website Name</span>&nbsp;website.</p>\r\n<p>If you choose to use our Service, then you agree to the collection and use of information in relation with this policy. The Personal Information that we collect are used for providing and improving the Service. We will not use or share your information with anyone except as described in this Privacy Policy.</p>\r\n<p>The terms used in this Privacy Policy have the same meanings as in our Terms and Conditions, which is accessible at&nbsp;<span class=\\\"highlight preview_website_url\\\">Website URL</span>, unless otherwise defined in this Privacy Policy.</p>\r\n<h4><strong>Information Collection and Use</strong></h4>\r\n<p>For a better experience while using our Service, we may require you to provide us with certain personally identifiable information, including but not limited to your name, phone number, and postal address. The information that we collect will be used to contact or identify you.</p>\r\n<h4><strong>Log Data</strong></h4>\r\n<p>We want to inform you that whenever you visit our Service, we collect information that your browser sends to us that is called Log Data. This Log Data may include information such as your computer\\\'s Internet Protocol (&ldquo;IP&rdquo;) address, browser version, pages of our Service that you visit, the time and date of your visit, the time spent on those pages, and other statistics.</p>\r\n<h4><strong>Cookies</strong></h4>\r\n<p>Cookies are files with small amount of data that is commonly used an anonymous unique identifier. These are sent to your browser from the website that you visit and are stored on your computer\\\'s hard drive.</p>\r\n<p>Our website uses these &ldquo;cookies&rdquo; to collection information and to improve our Service. You have the option to either accept or refuse these cookies, and know when a cookie is being sent to your computer. If you choose to refuse our cookies, you may not be able to use some portions of our Service.</p>\r\n<h4><strong>Service Providers</strong></h4>\r\n<p>We may employ third-party companies and individuals due to the following reasons:</p>\r\n<ul>\r\n<li>To facilitate our Service</li>\r\n<li>To provide the Service on our behalf</li>\r\n<li>To perform Service-related services or</li>\r\n<li>To assist us in analyzing how our Service is used.</li>\r\n</ul>\r\n<p>We want to inform our Service users that these third parties have access to your Personal Information. The reason is to perform the tasks assigned to them on our behalf. However, they are obligated not to disclose or use the information for any other purpose.</p>\r\n<h4><strong>Security</strong></h4>\r\n<p>We value your trust in providing us your Personal Information, thus we are striving to use commercially acceptable means of protecting it. But remember that no method of transmission over the internet, or method of electronic storage is 100% secure and reliable, and we cannot guarantee its absolute security.</p>\r\n<h4><strong>Links to Other Sites</strong></h4>\r\n<p>Our Service may contain links to other sites. If you click on a third-party link, you will be directed to that site. Note that these external sites are not operated by us. Therefore, we strongly advise you to review the Privacy Policy of these websites. We have no control over, and assume no responsibility for the content, privacy policies, or practices of any third-party sites or services.</p>\r\n<p>Children\\\'s Privacy</p>\r\n<p>Our Services do not address anyone under the age of 13. We do not knowingly collect personal identifiable information from children under 13. In the case we discover that a child under 13 has provided us with personal information, we immediately delete this from our servers. If you are a parent or guardian and you are aware that your child has provided us with personal information, please contact us so that we will be able to do necessary actions.</p>\r\n<h4><strong>Changes to This Privacy Policy</strong></h4>\r\n<p>We may update our Privacy Policy from time to time. Thus, we advise you to review this page periodically for any changes. We will notify you of any changes by posting the new Privacy Policy on this page. These changes are effective immediately, after they are posted on this page.</p>\r\n<h4><strong>Contact Us</strong></h4>\r\n<p>If you have any questions or suggestions about our Privacy Policy, do not hesitate to contact us.</p>', 3, 1),
(4, 'Delete Account Instruction', 'delete-account-instruction', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam sed nisl et erat lobortis auctor eget eu leo. Phasellus bibendum laoreet lobortis. In gravida nulla quis lectus congue efficitur. Duis pretium magna tortor, vel sagittis augue molestie vitae. Proin varius non mauris vel sodales. Maecenas sit amet rhoncus massa. Quisque sit amet purus sit amet velit tristique vestibulum a eget tortor. Sed volutpat dui et arcu ultricies, nec lacinia purus condimentum. Phasellus vel purus luctus, aliquet mi ut, finibus enim.</p>\r\n<p>Fusce eget sollicitudin nulla. Vestibulum nec fringilla quam. Fusce vehicula ullamcorper purus, at rutrum leo suscipit quis. In hac habitasse platea dictumst. Integer non elementum nulla, id iaculis metus. Sed posuere commodo justo eu fermentum. Praesent luctus interdum venenatis. Mauris vulputate felis dui, ac laoreet nisi viverra eget.</p>', 4, 1);

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

CREATE TABLE `password_resets` (
  `id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `password_resets`
--

INSERT INTO `password_resets` (`id`, `email`, `token`, `created_at`) VALUES
(6, 'kuldip.viaviweb@gmail.com', '$2y$10$NQjCzfikdyJDnCbZV/62C.vozwqfqFZgoxsFQG1wFkbSIuR0lBOzW', '2022-11-23 04:45:41');

-- --------------------------------------------------------

--
-- Table structure for table `post_ratings`
--

CREATE TABLE `post_ratings` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `post_type` varchar(255) NOT NULL,
  `rate` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `post_views`
--

CREATE TABLE `post_views` (
  `id` bigint(20) NOT NULL,
  `post_id` int(11) NOT NULL,
  `post_type` varchar(255) NOT NULL,
  `post_views` int(11) NOT NULL DEFAULT 0,
  `post_download` int(11) NOT NULL DEFAULT 0,
  `date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `reports`
--

CREATE TABLE `reports` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `post_type` varchar(255) NOT NULL,
  `message` varchar(255) NOT NULL,
  `date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `time_zone` varchar(255) NOT NULL DEFAULT 'UTC',
  `default_language` varchar(255) NOT NULL DEFAULT 'en',
  `admin_logo` varchar(255) DEFAULT NULL,
  `app_name` varchar(255) NOT NULL,
  `app_email` varchar(255) NOT NULL,
  `app_logo` varchar(255) NOT NULL,
  `app_company` varchar(255) DEFAULT NULL,
  `app_website` varchar(255) DEFAULT NULL,
  `app_contact` varchar(255) DEFAULT NULL,
  `app_version` varchar(255) DEFAULT NULL,
  `smtp_host` varchar(255) DEFAULT NULL,
  `smtp_port` varchar(255) DEFAULT NULL,
  `smtp_email` varchar(255) DEFAULT NULL,
  `smtp_password` varchar(255) DEFAULT NULL,
  `smtp_encryption` varchar(255) DEFAULT NULL,
  `facebook_link` varchar(255) NOT NULL,
  `twitter_link` varchar(255) DEFAULT NULL,
  `instagram_link` varchar(255) DEFAULT NULL,
  `youtube_link` varchar(255) DEFAULT NULL,
  `google_play_link` varchar(255) DEFAULT NULL,
  `apple_store_link` varchar(255) DEFAULT NULL,
  `onesignal_app_id` varchar(255) DEFAULT NULL,
  `onesignal_rest_key` varchar(255) DEFAULT NULL,
  `app_update_hide_show` varchar(255) NOT NULL DEFAULT 'true',
  `app_update_version_code` varchar(255) DEFAULT NULL,
  `app_update_desc` varchar(255) DEFAULT NULL,
  `app_update_link` varchar(255) DEFAULT NULL,
  `app_update_cancel_option` varchar(255) NOT NULL DEFAULT 'true',
  `pagination_limit` int(3) NOT NULL DEFAULT 10,
  `live_wallpaper_on_off` varchar(255) NOT NULL DEFAULT 'true',
  `portrait_on_off` varchar(255) NOT NULL,
  `landscape_on_off` varchar(255) NOT NULL,
  `square_on_off` varchar(255) NOT NULL,
  `envato_buyer_name` varchar(255) DEFAULT NULL,
  `envato_purchase_code` varchar(255) DEFAULT NULL,
  `app_package_name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `time_zone`, `default_language`, `admin_logo`, `app_name`, `app_email`, `app_logo`, `app_company`, `app_website`, `app_contact`, `app_version`, `smtp_host`, `smtp_port`, `smtp_email`, `smtp_password`, `smtp_encryption`, `facebook_link`, `twitter_link`, `instagram_link`, `youtube_link`, `google_play_link`, `apple_store_link`, `onesignal_app_id`, `onesignal_rest_key`, `app_update_hide_show`, `app_update_version_code`, `app_update_desc`, `app_update_link`, `app_update_cancel_option`, `pagination_limit`, `live_wallpaper_on_off`, `portrait_on_off`, `landscape_on_off`, `square_on_off`, `envato_buyer_name`, `envato_purchase_code`, `app_package_name`) VALUES
(1, 'Asia/Kolkata', 'en', 'upload/hd_wallpaper_logo.png', 'HD Wallpaper', 'info@viavilab.com', 'upload/app_icon.png', 'Viavi Webtech', 'www.viaviweb.com', '+91 9227777522', '1.0.0', 'smtp.gmail.com', '465', '', '', 'SSL', 'https://facebook.com', 'https://twitter.com', 'https://instagram.com', 'https://youtube.com', '#gp', '#ap', '54fdcb59-c790-48b3-bd24-d466759bba2a', 'ZmNiNTJiYTYtODcyNS00Yjk3LWFmNWYtOGE2MWVlNzNlMzVm', 'false', '1', 'Please update new app', 'https://google.com', 'true', 20, 'true', 'true', 'true', 'false', '', '', 'com.vpapps.hdwallpaper');

-- --------------------------------------------------------

--
-- Table structure for table `slider`
--

CREATE TABLE `slider` (
  `id` int(11) NOT NULL,
  `slider_title` varchar(500) NOT NULL,
  `slider_image` varchar(255) NOT NULL,
  `slider_info` varchar(255) DEFAULT NULL,
  `songs_ids` text DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `slider`
--

INSERT INTO `slider` (`id`, `slider_title`, `slider_image`, `slider_info`, `songs_ids`, `status`) VALUES
(1, 'Romantic Top 40', 'upload/images/slider/charts_RomanticTop40.jpg', 'Best Romantic Songs', '1,4,7,11,8,19', 1),
(2, 'Trending Today', 'upload/images/slider/charts_TrendingToday.jpg', 'Top Trending Song for Today', '1,4,5,8,19', 1),
(3, 'Hindi Chartbusters', 'upload/images/slider/charts_HindiChartbusters.jpg', 'Hindi Chartbusters', '2,26,27,29,28,11', 1),
(4, 'Slow Romantic Hindi', 'upload/images/slider/Slow_Romantic_Hindi.jpg', 'Slow Romantic Hindi Songs', '4,25,20,14,30', 1),
(5, 'New Releases Punjabi', 'upload/images/slider/New_Releases_Panjabi.jpg', 'New Releases Punjabi', '2,27,28,18,16', 1),
(6, 'New Releases Hindi', 'upload/images/slider/New_Releases_Hindi.jpg', 'New Releases Hindi Songs 2022', '1,27,29,28,15,10,3,4,5,2', 1);

-- --------------------------------------------------------

--
-- Table structure for table `sub_categories`
--

CREATE TABLE `sub_categories` (
  `id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `sub_category_name` varchar(255) NOT NULL,
  `sub_category_image` varchar(255) DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `sub_categories`
--

INSERT INTO `sub_categories` (`id`, `cat_id`, `sub_category_name`, `sub_category_image`, `status`) VALUES
(2, 1, 'Wolf', 'upload/images/sub_category/white-grey-wolf.jpg', 1),
(3, 1, 'Dragon', 'upload/images/sub_category/red-eyes-lightning-dragon.jpg', 1),
(4, 6, 'Fall', 'upload/images/sub_category/close-up-maple-leaves.jpg', 1),
(5, 6, 'Winter', 'upload/images/sub_category/snowy-mountain.jpg', 1),
(6, 6, 'Beach', 'upload/images/sub_category/boat-on-blue-beach.jpg', 1),
(7, 9, 'Parrots', 'upload/images/sub_category/birds.jpg', 1),
(8, 3, 'Ford', 'upload/images/sub_category/Ford.jpg', 1),
(9, 3, 'Lamborghini', 'upload/images/sub_category/Kia.jpg', 1),
(17, 2, 'Nike', 'upload/images/sub_category/nike_logo.jpg', 1),
(19, 2, 'Puma', 'upload/images/sub_category/puma_logo.jpg', 1),
(20, 4, 'Katrina Kaif', 'upload/katrina-kwk.jpg', 1),
(21, 4, 'Angelina Jolie', 'upload/angelina-jolie-bild-400.jpg', 1),
(22, 1, 'Lion', 'upload/images/sub_category/Lion-S2.jpg', 1),
(23, 1, 'Horse', 'upload/images/sub_category/Horse-500.png', 1),
(24, 5, 'Counter Strike', 'upload/images/sub_category/counter-strike-320.png', 1),
(25, 11, 'Sport Bike', 'upload/bike.png', 1),
(26, 11, 'Racer', 'upload/Bike_Square_1.jpeg', 1),
(27, 12, 'Hill Station', 'upload/Hillstation.png', 1),
(28, 12, 'City', 'upload/City.png', 1);

-- --------------------------------------------------------

--
-- Table structure for table `suggestion`
--

CREATE TABLE `suggestion` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `usertype` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT 'User',
  `social_login_type` varchar(255) DEFAULT NULL,
  `google_id` varchar(255) DEFAULT NULL,
  `facebook_id` varchar(255) DEFAULT NULL,
  `name` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `email` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `password` varchar(255) NOT NULL,
  `phone` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `user_image` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT 1,
  `confirmation_code` varchar(255) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `remember_token` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `session_id` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE current_timestamp()
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `usertype`, `social_login_type`, `google_id`, `facebook_id`, `name`, `email`, `password`, `phone`, `user_image`, `status`, `confirmation_code`, `remember_token`, `session_id`, `created_at`, `updated_at`) VALUES
(1, 'Admin', NULL, NULL, NULL, 'Viavi Webtech', 'admin@admin.com', '$2y$10$iurhWQOmnZjaYjtFEKLLueNW1Vmb6Q7vZ4Dfoqsr.C1Qp.ZLr1J7y', '9227777522', 'viavi-webtech-1f2416ecff3faba4159de6b399477081-b.jpg', 1, NULL, 'KRt9AVH9dx8u9uicVvJDmsUT1fMdh8ia8ufUcLcpW5ePr0ROYHTmE6oiW0lX', 'iXL5Efee1FhfiXQzxPTe2PzEfFqU3seM3b6TzvU7', '2020-03-11 22:46:45', '2023-01-25 04:56:58');

-- --------------------------------------------------------

--
-- Table structure for table `wallpaper`
--

CREATE TABLE `wallpaper` (
  `id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `sub_cat_id` int(11) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `tags` varchar(500) DEFAULT NULL,
  `color` varchar(255) DEFAULT NULL,
  `featured` int(1) NOT NULL DEFAULT 0,
  `status` int(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `wallpaper`
--

INSERT INTO `wallpaper` (`id`, `cat_id`, `sub_cat_id`, `type`, `title`, `image`, `tags`, `color`, `featured`, `status`) VALUES
(1, 9, 7, 'Portrait', 'Love Birds Parrot', 'upload/images/category/Bird_9.jpg', 'Birds,Wallpaper', '2,1,5', 0, 1),
(2, 6, 6, 'Landscape', 'Beach', 'upload/images/wallpaper/wallpapers-beach.jpg', 'beach,wallpaper', '2,3', 0, 1),
(4, 6, 6, 'Landscape', 'Lake View', 'upload/images/wallpaper/nature 2.jpg', 'Lake,Island,tree', '2,5,14', 0, 1),
(6, 9, 7, 'Portrait', 'Green Parrot', 'upload/images/category/Bird_4.jpg', 'Dove,Birds', '2,5', 1, 1),
(9, 3, 8, 'Landscape', 'Ford Endeavour', 'upload/images/wallpaper/ford-endeavour.jpg', 'Ford Car', '14,10,13', 0, 1),
(10, 6, 6, 'Portrait', 'waterland Nature', 'upload/images/wallpaper/waterland-nature-portrait.jpg', 'Nature', '14,2,12,13', 1, 1),
(11, 9, 7, 'Landscape', 'Parrot', 'upload/images/wallpaper/8XqVrP9-macaw-wallpaper.jpg', 'Parrot,Love Bird', '3,2,1,5,12,14', 1, 1),
(14, 9, 7, 'Landscape', 'Parrot', 'upload/images/wallpaper/pFp1YJF-birds-wallpapers.jpg', 'Parrot,Love Bird', '3,2,1,6,5', 0, 1),
(17, 9, 7, 'Landscape', 'Parrot', 'upload/images/wallpaper/wp4079804-parrot-wallpapers.jpg', 'Parrot,Love Bird', '2,4,1,5', 0, 1),
(19, 9, 7, 'Landscape', 'Parrot', 'upload/images/wallpaper/4OeTLyg-wallpaper-birds.jpg', 'Love Bird,Parrot', '3,2,5,8,4', 0, 1),
(22, 2, 19, 'Landscape', 'Puma', 'upload/images/wallpaper/oj99G0L-puma-wallpapers.jpg', 'shoes,logo', '8,1,5,7', 1, 1),
(23, 2, 19, 'Landscape', 'Puma', 'upload/images/wallpaper/wp1828405-puma-wallpapers.jpg', 'shoes,logo', '8,13,5', 0, 1),
(25, 4, 20, 'Portrait', 'Katrina Kaif', 'upload/Celebrities_1.jpg', 'Actress', '1,14', 0, 1),
(26, 4, 20, 'Portrait', 'Katrina Kaif', 'upload/Celebrities_3.jpg', 'Actress', '3,1', 0, 1),
(27, 4, 20, 'Landscape', 'Katrina Kaif', 'upload/Celebrities_category1.jpg', 'Actress', '13,5,3,1', 0, 1),
(28, 4, 20, 'Landscape', 'Katrina Kaif', 'upload/Celebrities_20.jpg', 'Actress', '13,5,3,1', 1, 1),
(29, 4, 20, 'Landscape', 'Katrina Kaif', 'upload/Celebrities_category.jpg', 'Actress', '13,5,3,1', 0, 1),
(30, 4, 20, 'Square', 'Katrina kaif', 'upload/katrina-kwk.jpg', 'Actress', '8', 1, 1),
(31, 4, 21, 'Square', 'Angelina Jolie', 'upload/images/category/angelina-jolie-bild.jpg', 'Actress', '8,13', 0, 1),
(32, 4, 21, 'Square', 'Angelina Jolie', 'upload/images/category/Anglina_Square.jpg', 'Actress', '8,13', 0, 1),
(33, 4, 21, 'Square', 'Angelina Jolie', 'upload/images/category/Anglina_Square1.jpg', 'Actress', '8,13', 0, 1),
(34, 4, 21, 'Portrait', 'Angelina Jolie', 'upload/images/category/Celebrities_7.jpg', 'Actress', '8,13', 0, 1),
(35, 4, 21, 'Portrait', 'Angelina Jolie', 'upload/images/category/Celebrities_8.jpg', 'Actress', '8,13,7', 1, 1),
(36, 4, 21, 'Portrait', 'Angelina Jolie', 'upload/images/category/Celebrities_19.jpg', 'Actress', '8,13', 0, 1),
(37, 4, 21, 'Landscape', 'Angelina Jolie', 'upload/images/category/Celebrities_15.jpg', 'Actress', '8,2', 1, 1),
(38, 3, 9, 'Portrait', 'Lamborghini', 'upload/images/category/Car_12.jpg', 'Car', '13', 0, 1),
(39, 3, 9, 'Landscape', 'Lamborghini', 'upload/images/category/lamborghini-land2.jpg', 'car,lady', '13', 0, 1),
(40, 3, 9, 'Square', 'Lamborghini', 'upload/images/category/lamborghini-Sqa3.jpg', 'Urus', '8', 0, 1),
(41, 3, 9, 'Portrait', 'Lamborghini', 'upload/images/category/Car_2.jpg', 'lamborghini', '8', 1, 1),
(42, 3, 9, 'Landscape', 'Lamborghini', 'upload/images/category/lamborghini-Land1.jpg', 'lamborghini', '5', 0, 1),
(43, 3, 9, 'Square', 'Lamborghini', 'upload/images/category/lamborghini-Sqa.jpg', 'lamborghini', '2', 0, 1),
(44, 3, 9, 'Portrait', 'Lamborghini', 'upload/images/category/Car_8.jpg', 'Car', '1', 0, 1),
(45, 3, 8, 'Portrait', 'Ford Classic', 'upload/images/category/Car_6.jpg', 'Classic car,car', '3,12,5,8', 0, 1),
(46, 3, 8, 'Square', 'Mustang', 'upload/images/category/Ford-S.jpg', 'Sports', '3', 0, 1),
(47, 1, 22, 'Portrait', 'Lion', 'upload/images/category/Lion_1.jpg', 'animal', '14', 0, 1),
(48, 1, 22, 'Landscape', 'Lion', 'upload/images/category/Lion-l.jpg', 'Lion', '14', 0, 1),
(49, 1, 22, 'Square', 'Lion', 'upload/images/category/Lion-S.jpg', 'Lion', '14', 0, 1),
(50, 1, 22, 'Portrait', 'Lion', 'upload/images/category/Lion_5.jpg', 'Lion', '2,14', 0, 1),
(51, 1, 22, 'Landscape', 'Lion', 'upload/images/category/Lion-l1.jpg', 'Lion,animal', '3,14', 0, 1),
(52, 1, 22, 'Square', 'Lion', 'upload/images/category/Lion-S1.jpg', 'Lion', '8', 0, 1),
(53, 1, 22, 'Portrait', 'Lion', 'upload/images/category/lion_3.jpg', 'Lion', '2,14', 0, 1),
(54, 1, 3, 'Portrait', 'Dragon', 'upload/images/category/Dragon-P.jpg', 'Dragon', '8', 0, 1),
(55, 1, 3, 'Landscape', 'Dragon', 'upload/images/category/Dragon-l.jpg', 'Dragon', '1', 0, 1),
(56, 1, 3, 'Square', 'Dragon', 'upload/images/category/Dragon-s.jpg', 'Dragon', '5,8', 0, 1),
(57, 1, 3, 'Portrait', 'Dragon', 'upload/images/category/Dragon-P1-1.png', 'Dragon', '8', 0, 1),
(58, 1, 3, 'Landscape', 'Dragon', 'upload/images/category/Dragon-l1.jpg', 'Dragon', '8,12,13', 0, 1),
(59, 1, 3, 'Square', 'Dragon', 'upload/images/category/Dragon-s1.jpg', 'Animal', '2,8', 0, 1),
(60, 1, 2, 'Portrait', 'Wolf', 'upload/images/category/Wold-P.jpg', 'wolf,wild', '14,8,13', 0, 1),
(61, 1, 2, 'Landscape', 'Wolf', 'upload/images/category/Wold-l.jpg', 'wild animal', '14,13', 0, 1),
(62, 1, 2, 'Square', 'Wolf', 'upload/images/category/Wold-S.jpg', 'animal', '3,12,8', 0, 1),
(63, 1, 2, 'Portrait', 'Wolf', 'upload/images/category/Wold-P1.jpg', 'animal', '3,12,8', 0, 1),
(64, 1, 2, 'Landscape', 'Wolf', 'upload/images/category/Wold-l1.jpg', 'Wild', '13,14', 0, 1),
(65, 2, 19, 'Portrait', 'Puma Girls Shoes', 'upload/images/category/Puma-P.jpg', 'Shoes', '8,13', 0, 1),
(66, 2, 19, 'Square', 'Puma', 'upload/images/category/Puma-s.jpeg', 'Shoes', '3,12', 0, 1),
(67, 2, 17, 'Portrait', 'Nike', 'upload/images/category/Nike-P.jpg', 'Nike', '4,13,1', 0, 1),
(68, 2, 17, 'Landscape', 'Nike', 'upload/images/category/Nike-l.jpg', 'Nike,Girl', '7,13', 0, 1),
(69, 2, 17, 'Square', 'Nike Shoes', 'upload/images/category/Nike-s1.jpg', 'Shoes', '13,12', 0, 1),
(70, 2, 17, 'Portrait', 'Nike', 'upload/images/category/Nike-p1.jpg', 'Logo', '10', 0, 1),
(71, 2, 17, 'Landscape', 'Nike Shoes', 'upload/images/category/Nike-l1.jpg', 'Shoes', '7,13,3,8', 0, 1),
(72, 2, 17, 'Square', 'Nike Logo', 'upload/images/category/Nike-s.jpg', 'Logo', '3,13', 0, 1),
(73, 1, 23, 'Portrait', 'Horse', 'upload/images/category/Horse-P.jpg', 'Animal', '13,3', 0, 1),
(74, 1, 23, 'Landscape', 'Horse', 'upload/images/category/Horse-l.jpg', 'Horse', '5,2,14', 0, 1),
(75, 1, 23, 'Square', 'Horse', 'upload/images/category/Horse-S.jpg', 'Animal', '13', 0, 1),
(76, 1, 23, 'Portrait', 'Horse', 'upload/images/category/Horse-P1.jpg', 'Animal', '13', 0, 1),
(77, 1, 23, 'Landscape', 'Horse', 'upload/images/category/Horse-L1.jpg', 'Animal', '14,13', 0, 1),
(78, 1, 23, 'Square', 'Horse', 'upload/images/category/Horse-S1.jpg', 'Animal', '14,12', 0, 1),
(79, 1, 23, 'Portrait', 'Horse With Girl', 'upload/images/category/Horse-p2.jpg', 'Horse,Girl', '1,14', 0, 1),
(80, 1, 23, 'Square', 'Horse', 'upload/images/category/Horse-s2.jpg', 'Horse', '14', 0, 1),
(81, 1, 23, 'Landscape', 'Horse', 'upload/images/category/Horse-L2.jpg', 'Horse,girl', '1,8', 0, 1),
(82, 6, 6, 'Landscape', 'Beach view', 'upload/images/category/Nature_12.jpg', 'Water', '3,2', 0, 1),
(83, 6, 6, 'Landscape', 'Beach Sunset', 'upload/images/category/Nature_Category1.jpg', 'Sunset', '5,14', 0, 1),
(84, 6, 4, 'Portrait', 'Water Fall', 'upload/images/category/Nature_5.jpg', 'fall', '14,12,5,2', 0, 1),
(85, 6, 4, 'Landscape', 'Water Fall', 'upload/images/category/waterfall-L.jpg', 'Water', '12,14,2', 0, 1),
(86, 6, 4, 'Square', 'Water Fall', 'upload/images/category/waterfall-s.jpg', 'fall', '13,7,2', 0, 1),
(87, 6, 4, 'Portrait', 'Water Fall', 'upload/images/category/Nature_20.jpg', 'beauty', '2,13', 0, 1),
(88, 6, 4, 'Landscape', 'Water fall', 'upload/images/category/waterfall-L1.jpg', 'nature', '2,12,13', 0, 1),
(89, 6, 5, 'Portrait', 'Winter', 'upload/images/category/winter-P.jpg', 'Snow,winter', '12,13,5', 0, 1),
(90, 6, 5, 'Landscape', 'Winter', 'upload/images/category/winter-l1.jpg', 'Snow,sunrise', '14,13,5', 0, 1),
(91, 6, 5, 'Square', 'Winter', 'upload/images/category/winter-s.jpg', 'Christmas', '2,1,13,5,12', 0, 1),
(92, 5, 24, 'Portrait', 'counter strike', 'upload/images/category/counter-strike-p.jpg', 'games', '8,13', 0, 1),
(93, 5, 24, 'Landscape', 'counter strike', 'upload/images/category/counter-strike-l.jpg', 'games', '8,14', 0, 1),
(94, 5, 24, 'Portrait', 'counter strike', 'upload/images/category/counter-strike-l2.jpg', 'games,counter strike', '14', 0, 1),
(95, 5, 24, 'Landscape', 'counter strike', 'upload/images/category/counter-strike-l1.jpg', 'counter strike', '8,13,5', 0, 1),
(96, 11, 25, 'Portrait', 'Bike with Girl', 'upload/images/category/Bike_3.jpg', 'Girl,Bike', '8,13,10', 0, 1),
(97, 11, 25, 'Landscape', 'Sports Bike', 'upload/images/category/Bike_Category.jpg', 'Bike', '3,13,10', 0, 1),
(98, 11, 25, 'Square', 'Bike', 'upload/images/category/Bike_Square_4.jpg', 'sports bike', '8,1,13', 0, 1),
(99, 11, 25, 'Portrait', 'Bike', 'upload/images/category/Bike_18.jpg', 'Bike With Beauty,Girl', '8,13,14', 0, 1),
(100, 11, 25, 'Landscape', 'Bike', 'upload/images/category/Bike_Landscap_1.jpg', 'Black Beauty', '8,2', 0, 1),
(101, 11, 26, 'Portrait', 'Bike Racer', 'upload/images/category/Bike_8.jpg', 'Racer', '8,13', 0, 1),
(102, 11, 26, 'Landscape', 'Bike Racer', 'upload/images/category/Bike_Landscap_6.jpg', 'Racing', '1,12,8', 0, 1),
(103, 11, 26, 'Square', 'Bike', 'upload/images/category/Bike_Square_5.jpg', 'Bike', '8', 0, 1),
(104, 11, 26, 'Portrait', 'Racer', 'upload/images/category/Bike_2.jpg', 'Race', '10,2,5', 0, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `analytics`
--
ALTER TABLE `analytics`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `app_ads`
--
ALTER TABLE `app_ads`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `colors`
--
ALTER TABLE `colors`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `favourite`
--
ALTER TABLE `favourite`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `live_wallpaper`
--
ALTER TABLE `live_wallpaper`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pages`
--
ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD PRIMARY KEY (`id`),
  ADD KEY `password_resets_email_index` (`email`),
  ADD KEY `password_resets_token_index` (`token`);

--
-- Indexes for table `post_ratings`
--
ALTER TABLE `post_ratings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `post_views`
--
ALTER TABLE `post_views`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `reports`
--
ALTER TABLE `reports`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `slider`
--
ALTER TABLE `slider`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sub_categories`
--
ALTER TABLE `sub_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `suggestion`
--
ALTER TABLE `suggestion`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `wallpaper`
--
ALTER TABLE `wallpaper`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `analytics`
--
ALTER TABLE `analytics`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `app_ads`
--
ALTER TABLE `app_ads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `colors`
--
ALTER TABLE `colors`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `favourite`
--
ALTER TABLE `favourite`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `live_wallpaper`
--
ALTER TABLE `live_wallpaper`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `pages`
--
ALTER TABLE `pages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `password_resets`
--
ALTER TABLE `password_resets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `post_ratings`
--
ALTER TABLE `post_ratings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `post_views`
--
ALTER TABLE `post_views`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `reports`
--
ALTER TABLE `reports`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `settings`
--
ALTER TABLE `settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `slider`
--
ALTER TABLE `slider`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `sub_categories`
--
ALTER TABLE `sub_categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=29;

--
-- AUTO_INCREMENT for table `suggestion`
--
ALTER TABLE `suggestion`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `wallpaper`
--
ALTER TABLE `wallpaper`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=105;