@extends("admin.admin_app")

@section("content")

<style type="text/css">
  .iframe-container {
  overflow: hidden;
  padding-top: 56.25% !important;
  position: relative;
}
 
.iframe-container iframe {
   border: 0;
   height: 100%;
   left: 0;
   position: absolute;
   top: 0;
   width: 100%;
}
</style>
 
  <div class="content-page">
      <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-lg-12">
              <div class="card-box">
                 <div class="row">
                 <div class="col-sm-6">
                      <a href="{{ URL::to('admin/home_sections') }}"><h4 class="header-title m-t-0 m-b-30 text-primary pull-left" style="font-size: 20px;"><i class="fa fa-arrow-left"></i> {{trans('words.back')}}</h4></a>
                 </div>                  
               </div> 
                @if (count($errors) > 0)
                <div class="alert alert-danger">
                     <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
                @if(Session::has('flash_message'))
                      <div class="alert alert-success">
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                          {{ Session::get('flash_message') }}
                      </div>
                @endif
                

                 {!! Form::open(array('url' => array('admin/home_sections/add_edit'),'class'=>'form-horizontal','name'=>'settings_form','id'=>'settings_form','role'=>'form','enctype' => 'multipart/form-data')) !!}  
                  
                  <input type="hidden" name="id" value="{{ isset($info->id) ? $info->id : null }}">
  
                   
                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.section_title')}}*</label>
                    <div class="col-sm-8">
                      <input type="text" name="section_name" value="{{ isset($info->section_name) ? stripslashes($info->section_name) : null }}" class="form-control" required>
                    </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.type')}}</label>
                      <div class="col-sm-8">
                            <select class="form-control" name="section_type" id="home_section_type" required>                               
                                <option value="" >{{trans('words.select')}}</option>
                                <option value="category" @if(isset($info->section_type) AND $info->section_type=="category") selected @endif>Categories</option>
                                <option value="artist" @if(isset($info->section_type) AND $info->section_type=="artist") selected @endif>Artists</option>
                                <option value="album" @if(isset($info->section_type) AND $info->section_type=="album") selected @endif>Album</option>
                                <option value="song" @if(isset($info->section_type) AND $info->section_type=="song") selected @endif>Song</option>
                                <option value="playlist" @if(isset($info->section_type) AND $info->section_type=="playlist") selected @endif>Playlist</option>                            
                            </select>
                      </div>
                  </div>

                  <div class="form-group row" id="category_list_sec" @if(isset($info->section_type) AND $info->section_type!="category") style="display:none;" @endif @if(!isset($info->id)) style="display:none;" @endif>
                    <label class="col-sm-3 col-form-label">{{trans('words.categories_text')}}</label> 
                      <div class="col-sm-8">
                            <select name="category_ids[]" class="select2 select2-multiple" multiple="multiple" multiple id="home_cat_id" data-placeholder="{{trans('words.select_category')}}...">
                                 @foreach($category_list as $category_data)
                                  <option value="{{$category_data->id}}" @if(isset($info->id) && in_array($category_data->id, explode(",",$info->post_ids))) selected @endif>{{stripslashes($category_data->category_name)}}</option>
                                @endforeach
                            </select>
                      </div>
                  </div>

                   
                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.status')}}</label>
                      <div class="col-sm-8">
                            <select class="form-control" name="status">                               
                                <option value="1" @if(isset($info->status) AND $info->status==1) selected @endif>{{trans('words.active')}}</option>
                                <option value="0" @if(isset($info->status) AND $info->status==0) selected @endif>{{trans('words.inactive')}}</option>                            
                            </select>
                      </div>
                  </div>
                  <div class="form-group">
                    <div class="offset-sm-3 col-sm-9 pl-1">
                      <button type="submit" class="btn btn-primary waves-effect waves-light"> {{trans('words.save')}}</button>                      
                    </div>
                  </div>
                {!! Form::close() !!} 
              </div>
            </div>            
          </div>              
        </div>
      </div>

      @include("admin.copyright") 
    
    </div> 

  <script type="text/javascript">
     
     
// function to update the file selected by elfinder
function processSelectedFile(filePath, requestingField) {

    //alert(requestingField);

    var elfinderUrl = "{{ URL::to('/') }}/";

    if(requestingField=="playlist_image")
    {
      var target_preview = $('#image_holder');
      target_preview.html('');
      target_preview.append(
              $('<img>').css('height', '5rem').attr('src', elfinderUrl + filePath.replace(/\\/g,"/"))
            );
      target_preview.trigger('change');
    }
 
 
    //$('#' + requestingField).val(filePath.split('\\').pop()).trigger('change'); //For only filename
    $('#' + requestingField).val(filePath.replace(/\\/g,"/")).trigger('change');
 
}
 
 </script>
  
@endsection