@extends("admin.admin_app")

@section("content")

<style type="text/css">
  .iframe-container {
  overflow: hidden;
  padding-top: 56.25% !important;
  position: relative;
}
 
.iframe-container iframe {
   border: 0;
   height: 100%;
   left: 0;
   position: absolute;
   top: 0;
   width: 100%;
}
</style>
 
  <div class="content-page">
      <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-lg-12">
              <div class="card-box">
                 <div class="row">
                 <div class="col-sm-6">
                      <a href="{{ URL::to('admin/wallpaper') }}"><h4 class="header-title m-t-0 m-b-30 text-primary pull-left" style="font-size: 20px;"><i class="fa fa-arrow-left"></i> {{trans('words.back')}}</h4></a>
                 </div>                  
               </div> 
                 
                 {!! Form::open(array('url' => array('admin/wallpaper/add_edit'),'class'=>'form-horizontal','name'=>'settings_form','id'=>'settings_form','role'=>'form','enctype' => 'multipart/form-data')) !!}  
                  
                  <input type="hidden" name="id" value="{{ isset($info->id) ? $info->id : null }}">

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.category')}}*</label>
                      <div class="col-sm-8">
                            <select class="form-control select2" name="category" id="category_id">   
                               <option value="">{{trans('words.select_category')}}</option>                            
                              @foreach($cat_list as $cat_data)  
                                <option value="{{$cat_data->id}}" @if(isset($info->id) AND $cat_data->id==$info->cat_id) selected @endif>{{$cat_data->category_name}}</option>
                              @endforeach   
                            </select>
                      </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.sub_category')}}*</label>
                      <div class="col-sm-8">
                            <select class="form-control select2" name="sub_category" id="sub_category_id">   
                               <option value="">{{trans('words.select_sub_category')}}</option>   
                               @if(isset($info->id))                           
                                @foreach($sub_cat_list as $sub_cat_data)  
                                  <option value="{{$sub_cat_data->id}}" @if(isset($info->id) AND $sub_cat_data->id==$info->sub_cat_id) selected @endif>{{$sub_cat_data->sub_category_name}}</option>
                                @endforeach   
                              @endif  
                            </select>
                      </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.type')}}</label>
                      <div class="col-sm-8">
                            <select class="form-control" name="type" id="wall_type">                               
                                <option value="Portrait" @if(isset($info->type) AND $info->type=="Portrait") selected @endif>Portrait</option>
                                <option value="Landscape" @if(isset($info->type) AND $info->type=="Landscape") selected @endif>Landscape</option>
                                <option value="Square" @if(isset($info->type) AND $info->type=="Square") selected @endif>Square</option>                            
                            </select>
                      </div>
                  </div>
                   
                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.wallpaper_title')}}*</label>
                    <div class="col-sm-8">
                      <input type="text" name="title" value="{{ isset($info->title) ? stripslashes($info->title) : null }}" class="form-control">
                    </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.wallpaper_image')}}* 1</label>
                    <div class="col-sm-8">
                      <div class="input-group">
                        <input type="text" name="image[]" id="image" value="" class="form-control" readonly>
                        <div class="input-group-append">                           
                          <button type="button" class="btn btn-dark waves-effect waves-light popup_selector" data-input="image" data-preview="holder_logo" data-inputid="image">Select</button>                        
                        </div>
                      </div>
                      <small id="portrait_size" class="form-text text-muted">({{trans('words.recommended_resolution')}} : 600x900,680x1024,640x960,720x1280 OR width less then height)</small>
                      <small id="landscape_size" class="form-text text-muted" style="display:none;">({{trans('words.recommended_resolution')}} : 900x600,1280x720 OR width more then height)</small>
                      <small id="square_size" class="form-text text-muted" style="display:none;">({{trans('words.recommended_resolution')}} : 500x500,700x700 OR width and height equal)</small>


                      <div id="image_holder" style="margin-top:5px;max-height:100px;"></div>                     
                    </div>
                  </div>
               
                  <div id="dynamicInput"></div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">&nbsp;</label>
                    <div class="col-sm-8">
                    <button type="button" class="btn btn-success btn-xs" onClick="addInput('dynamicInput');">Add More Wallpaper</button>
                    </div>
                  </div>
 

                  @if(isset($info->image)) 
                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">&nbsp;</label>
                    <div class="col-sm-8">                                                                         
                      <img src="{{URL::to('/'.$info->image)}}" alt="image" class="img-thumbnail" width="140">                                               
                    </div>
                  </div>
                  @endif  

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.wallpaper_tags')}}</label>
                    <div class="col-sm-8">
                      <input type="text" name="tags" value="{{ isset($info->tags) ? stripslashes($info->tags) : null }}" class="form-control" data-role="tagsinput">
                    </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.wallpaper_color')}}</label>
                    <div class="col-sm-8">
                    <select name="color[]" class="select2 select2-multiple" multiple="multiple" multiple id="color_id">
                                 @foreach($color_list as $color_data)
                                  <option value="{{$color_data->id}}" @if(isset($info->id) && in_array($color_data->id, explode(",",$info->color))) selected @endif>{{$color_data->color_name}}</option>
                                @endforeach
                            </select>
                    </div>
                  </div>
                   
                  <div class="form-group row">
                    <label class="col-sm-3 col-form-label">{{trans('words.status')}}</label>
                      <div class="col-sm-8">
                            <select class="form-control" name="status">                               
                                <option value="1" @if(isset($info->status) AND $info->status==1) selected @endif>{{trans('words.active')}}</option>
                                <option value="0" @if(isset($info->status) AND $info->status==0) selected @endif>{{trans('words.inactive')}}</option>                            
                            </select>
                      </div>
                  </div>
                  <div class="form-group">
                    <div class="offset-sm-3 col-sm-9 pl-1">
                      <button type="submit" class="btn btn-primary waves-effect waves-light"> {{trans('words.save')}}</button>                      
                    </div>
                  </div>
                {!! Form::close() !!} 
              </div>
            </div>            
          </div>              
        </div>
      </div>

      @include("admin.copyright") 
    
    </div>  

  <script type="text/javascript">
     
     
// function to update the file selected by elfinder
function processSelectedFile(filePath, requestingField) {

    var elfinderUrl = "{{ URL::to('/') }}/";

    //alert(requestingField);

    //if(requestingField=="image")
    //{
      var target_preview = $('#'+requestingField+'_holder');
      target_preview.html('');
      target_preview.append(
              $('<img>').css('height', '5rem').attr('src', elfinderUrl + filePath.replace(/\\/g,"/"))
            );
      target_preview.trigger('change');
    //}
 
 
    //$('#' + requestingField).val(filePath.split('\\').pop()).trigger('change'); //For only filename
    $('#' + requestingField).val(filePath.replace(/\\/g,"/")).trigger('change');
 
}
 
 </script>

 <script type="text/javascript">
    
    @if(Session::has('flash_message'))     
 
      const Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: false,
        /*didOpen: (toast) => {
          toast.addEventListener('mouseenter', Swal.stopTimer)
          toast.addEventListener('mouseleave', Swal.resumeTimer)
        }*/
      })

      Toast.fire({
        icon: 'success',
        title: '{{ Session::get('flash_message') }}'
      })     
     
  @endif

  @if (count($errors) > 0)
                  
          Swal.fire({
            icon: 'error',
            title: 'Oops...',
            html: '<p>@foreach ($errors->all() as $error) {{$error}}<br/> @endforeach</p>',
            showConfirmButton: true,
            confirmButtonColor: '#10c469',
            background:"#1a2234",
            color:"#fff"
           }) 
  @endif

  </script>

<script src="{{ URL::asset('admin_assets/js/jquery.min.js') }}"></script>
<script type="text/javascript">
  $(document).ready(function(e) {
      
     $("#category_id").change(function(){ 
         var cat_id=$("#category_id").val();
          $.ajax({
          type: "GET",
          url: "{{ URL::to('admin/ajax_get_sub_cat') }}/"+cat_id,
          //data: "cat=" + cat,
          success: function(result){

              $("#sub_category_id option").remove();
                
              $("#sub_category_id").html(result);

            }
          });
      
      });

      $("#wall_type").change(function(){         
        var type=$("#wall_type").val();

        if(type=="Landscape")
        {   
            $("#portrait_size").hide();
            $("#landscape_size").show();
            $("#square_size").hide();
        }
        else if(type=="Square")
        {
            $("#portrait_size").hide();
            $("#landscape_size").hide();
            $("#square_size").show();
        }
        else
        {
            $("#portrait_size").show();
            $("#landscape_size").hide();
            $("#square_size").hide();
        }

      });  

  });
</script>

<script type="text/javascript">
// JavaScript Document

var counter = 1;
var limit = 100;
function addInput(divName){
     if (counter == limit)  {
          alert("You have reached the limit of adding " + counter + " inputs");
     }
     else {
          var newdiv = document.createElement('div');

          var wall_number=counter+1;

          newdiv.innerHTML ='<div class="form-group row"><label class="col-sm-3 col-form-label">{{trans('words.wallpaper_image')}}* '+wall_number+'</label><div class="col-sm-8"><div class="input-group"><input type="text" name="image[]" id="image'+wall_number+'" value="" class="form-control" readonly><div class="input-group-append"><button type="button" class="btn btn-dark waves-effect waves-light popup_selector" data-input="image" data-preview="holder_logo'+wall_number+'" data-inputid="image'+wall_number+'">Select</button></div></div><div id="image'+wall_number+'_holder" style="margin-top:5px;max-height:100px;"></div></div></div>';
          document.getElementById(divName).appendChild(newdiv);
          counter++;
     }
}

</script>  
  
@endsection