<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::group(['prefix' => 'v1','namespace' => 'API'], function(){
     
    Route::get('/', 'AndroidApiController@index');
    Route::post('app_details', 'AndroidApiController@app_details');
 
    Route::post('recent_wallpaper', 'AndroidApiController@recent_wallpaper');
    Route::post('featured_wallpaper', 'AndroidApiController@featured_wallpaper');

    Route::post('popular_wallpaper', 'AndroidApiController@popular_wallpaper');
    Route::post('most_download_wallpaper', 'AndroidApiController@most_download_wallpaper');
    Route::post('high_rated_wallpaper', 'AndroidApiController@high_rated_wallpaper');

    Route::post('category', 'AndroidApiController@category');
    Route::post('subcategory', 'AndroidApiController@subcategory');
    Route::post('colors', 'AndroidApiController@colors');

    Route::post('cat_wallpaper', 'AndroidApiController@cat_wallpaper');
    Route::post('subcat_wallpaper', 'AndroidApiController@subcat_wallpaper');
    Route::post('colors_wallpaper', 'AndroidApiController@colors_wallpaper');

    Route::post('latest_wallpaper', 'AndroidApiController@latest_wallpaper');

    Route::post('wallpaper_details', 'AndroidApiController@wallpaper_details');
    
    Route::post('wallpaper_random', 'AndroidApiController@wallpaper_random');

    Route::post('latest_live_wallpaper', 'AndroidApiController@latest_live_wallpaper');
    Route::post('popular_live_wallpaper', 'AndroidApiController@popular_live_wallpaper');
    Route::post('most_download_live_wallpaper', 'AndroidApiController@most_download_live_wallpaper');
    Route::post('high_rated_live_wallpaper', 'AndroidApiController@high_rated_live_wallpaper');

    Route::post('live_wallpaper_details', 'AndroidApiController@live_wallpaper_details');

    Route::post('post_view', 'AndroidApiController@post_view');
    Route::post('post_download', 'AndroidApiController@post_download');
    Route::post('post_rate', 'AndroidApiController@post_rate');
    Route::post('post_favourite', 'AndroidApiController@post_favourite');

    Route::post('search_wallpaper', 'AndroidApiController@search_wallpaper');
    Route::post('search_live_wallpaper', 'AndroidApiController@search_live_wallpaper');

    Route::post('login', 'AndroidApiController@login');
    Route::post('signup', 'AndroidApiController@signup');
    Route::post('social_login', 'AndroidApiController@social_login');
    Route::post('forgot_password', 'AndroidApiController@forgot_password');

    Route::post('profile', 'AndroidApiController@profile');
    Route::post('profile_update', 'AndroidApiController@profile_update');

    Route::post('user_favourite_post_list', 'AndroidApiController@user_favourite_post_list');
    Route::post('user_reports', 'AndroidApiController@user_reports');
    
});
